
-- Company :      MIMOSA
-- Project :      CRIS V3.1
-- Author :       MIMOSA
--
-- Date Created : Dec. 30, 2006
-- Target DBMS :  Oracle 10g
--


-- 
-- TABLE: agent_role_type 
--

CREATE TABLE agent_role_type(
    ag_role_db_site      CHAR(16)         NOT NULL,
    ag_role_db_id        NUMBER(10, 0)    NOT NULL,
    ag_role_type_code    NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__agent_role_type__5AB9788F PRIMARY KEY (ag_role_db_site, ag_role_db_id, ag_role_type_code)
) 
;



-- 
-- TABLE: agent_role_with_agent 
--

CREATE TABLE agent_role_with_agent(
    org_agent_site          CHAR(16)         NOT NULL,
    agent_id                NUMBER(10, 0)    NOT NULL,
    ag_role_db_site         CHAR(16)         NOT NULL,
    ag_role_db_id           NUMBER(10, 0)    NOT NULL,
    ag_role_type_code       NUMBER(10, 0)    NOT NULL,
    other_org_agent_site    CHAR(16)         NOT NULL,
    other_agent_id          NUMBER(10, 0)    NOT NULL,
    name                    VARCHAR2(254),
    user_tag_ident          VARCHAR2(254),
    gmt_last_updated        TIMESTAMP,
    last_upd_db_site        CHAR(16),
    last_upd_db_id          NUMBER(10, 0),
    rstat_type_code         NUMBER(5, 0),
    CONSTRAINT PK__agent_role_with___7B264821 PRIMARY KEY (org_agent_site, agent_id, ag_role_db_site, ag_role_db_id, ag_role_type_code, other_org_agent_site, other_agent_id)
) 
;



-- 
-- TABLE: agent_role 
--

CREATE TABLE agent_role(
    org_agent_site       CHAR(16)         NOT NULL,
    agent_id             NUMBER(10, 0)    NOT NULL,
    ag_role_db_site      CHAR(16)         NOT NULL,
    ag_role_db_id        NUMBER(10, 0)    NOT NULL,
    ag_role_type_code    NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__agent_role__793DFFAF PRIMARY KEY (org_agent_site, agent_id, ag_role_db_site, ag_role_db_id, ag_role_type_code)
) 
;



-- 
-- TABLE: agent_type 
--

CREATE TABLE agent_type(
    agent_db_site       CHAR(16)         NOT NULL,
    agent_db_id         NUMBER(10, 0)    NOT NULL,
    agent_type_code     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__agent_type__6EF57B66 PRIMARY KEY (agent_db_site, agent_db_id, agent_type_code)
) 
;



-- 
-- TABLE: agent 
--

CREATE TABLE agent(
    org_agent_site      CHAR(16)         NOT NULL,
    agent_id            NUMBER(10, 0)    NOT NULL,
    agent_db_site       CHAR(16)         NOT NULL,
    agent_db_id         NUMBER(10, 0)    NOT NULL,
    agent_type_code     NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__agent__70DDC3D8 PRIMARY KEY (org_agent_site, agent_id)
) 
;



-- 
-- TABLE: alarm_type 
--

CREATE TABLE alarm_type(
    al_db_site                CHAR(16)         NOT NULL,
    al_db_id                  NUMBER(10, 0)    NOT NULL,
    al_type_code              NUMBER(10, 0)    NOT NULL,
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    name                      VARCHAR2(254)    NOT NULL,
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__alarm_type__6B24EA82 PRIMARY KEY (al_db_site, al_db_id, al_type_code)
) 
;



-- 
-- TABLE: amb_set_type 
--

CREATE TABLE amb_set_type(
    amb_set_db_site      CHAR(16)         NOT NULL,
    amb_set_db_id        NUMBER(10, 0)    NOT NULL,
    amb_set_type_code    NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__amb_set_type__10AB74EC PRIMARY KEY (amb_set_db_site, amb_set_db_id, amb_set_type_code)
) 
;



-- 
-- TABLE: as_chr_dat_type 
--

CREATE TABLE as_chr_dat_type(
    ac_db_site          CHAR(16)         NOT NULL,
    ac_db_id            NUMBER(10, 0)    NOT NULL,
    ac_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    default_ru_type     NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_chr_dat_type__36B12243 PRIMARY KEY (ac_db_site, ac_db_id, ac_type_code)
) 
;



-- 
-- TABLE: as_completed_work 
--

CREATE TABLE as_completed_work(
    asset_org_site            CHAR(16)         NOT NULL,
    asset_id                  NUMBER(10, 0)    NOT NULL,
    task_db_site              CHAR(16)         NOT NULL,
    task_db_id                NUMBER(10, 0)    NOT NULL,
    task_type_code            NUMBER(10, 0)    NOT NULL,
    gmt_completed             TIMESTAMP        NOT NULL,
    cp_loc_hr_delta           NUMBER(5, 0),
    cp_loc_min_delta          NUMBER(5, 0),
    gmt_started               TIMESTAMP,
    st_loc_hr_delta           NUMBER(5, 0),
    st_loc_min_delta          NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    work_order_db_site        CHAR(16),
    work_order_db_id          NUMBER(10, 0),
    work_order_id             NUMBER(10, 0),
    work_ord_step_seq         NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__as_completed_wor__0169315C PRIMARY KEY (asset_org_site, asset_id, task_db_site, task_db_id, task_type_code, gmt_completed)
) 
;



-- 
-- TABLE: as_ev_as_func_link 
--

CREATE TABLE as_ev_as_func_link(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    fc_as_org_site      CHAR(16)         NOT NULL,
    fc_as_id            NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_ev_as_func_li__382F5661 PRIMARY KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, db_site, db_id, fc_as_org_site, fc_as_id, ordering_seq)
) 
;



-- 
-- TABLE: as_ev_meas_event 
--

CREATE TABLE as_ev_meas_event(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_ev_meas_event__3FD07829 PRIMARY KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: as_event_chr_data 
--

CREATE TABLE as_event_chr_data(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    ec_db_site          CHAR(16)         NOT NULL,
    ec_db_id            NUMBER(10, 0)    NOT NULL,
    ec_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          CHAR(254)        NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_event_chr_dat__405A880E PRIMARY KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, ec_db_site, ec_db_id, ec_type_code)
) 
;



-- 
-- TABLE: as_event_num_data 
--

CREATE TABLE as_event_num_data(
    asset_org_site      CHAR(16)            NOT NULL,
    asset_id            NUMBER(10, 0)       NOT NULL,
    ev_db_site          CHAR(16)            NOT NULL,
    ev_db_id            NUMBER(10, 0)       NOT NULL,
    event_type_code     NUMBER(10, 0)       NOT NULL,
    gmt_event_start     TIMESTAMP           NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_event_num_dat__3BFFE745 PRIMARY KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: as_health_as_event 
--

CREATE TABLE as_health_as_event(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_assessment        TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ev_as_org_site        CHAR(16)         NOT NULL,
    ev_as_id              NUMBER(10, 0)    NOT NULL,
    ev_db_site            CHAR(16)         NOT NULL,
    ev_db_id              NUMBER(10, 0)    NOT NULL,
    event_type_code       NUMBER(10, 0)    NOT NULL,
    gmt_event_start       TIMESTAMP        NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_by_org_asite    CHAR(16),
    assoc_by_agent_id     NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_health_as_eve__0C1BC9F9 PRIMARY KEY (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id, ev_as_org_site, ev_as_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: as_health_as_prop_ev 
--

CREATE TABLE as_health_as_prop_ev(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_assessment        TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    as_prop_db_site       CHAR(16)         NOT NULL,
    as_prop_db_id         NUMBER(10, 0)    NOT NULL,
    as_prop_event_id      NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_by_org_asite    CHAR(16),
    assoc_by_agent_id     NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_health_as_pro__0FEC5ADD PRIMARY KEY (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id, as_prop_db_site, as_prop_db_id, as_prop_event_id)
) 
;



-- 
-- TABLE: as_hyp_ev_as_func 
--

CREATE TABLE as_hyp_ev_as_func(
    as_hyp_db_site      CHAR(16)         NOT NULL,
    as_hyp_db_id        NUMBER(10, 0)    NOT NULL,
    as_hyp_event_id     NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_hyp_ev_as_fun__640DD89F PRIMARY KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id, db_site, db_id, asset_org_site, asset_id, ordering_seq)
) 
;



-- 
-- TABLE: as_hyp_ev_num_data 
--

CREATE TABLE as_hyp_ev_num_data(
    as_hyp_db_site      CHAR(16)         NOT NULL,
    as_hyp_db_id        NUMBER(10, 0)    NOT NULL,
    as_hyp_event_id     NUMBER(10, 0)    NOT NULL,
    en_db_site          CHAR(16)         NOT NULL,
    en_db_id            NUMBER(10, 0)    NOT NULL,
    en_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_hyp_ev_num_da__5A846E65 PRIMARY KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: as_hyp_event_link 
--

CREATE TABLE as_hyp_event_link(
    as_hyp_db_site      CHAR(16)            NOT NULL,
    as_hyp_db_id        NUMBER(10, 0)       NOT NULL,
    as_hyp_event_id     NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_hyp_event_lin__50FB042B PRIMARY KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: as_hyp_event 
--

CREATE TABLE as_hyp_event(
    as_hyp_db_site            CHAR(16)         NOT NULL,
    as_hyp_db_id              NUMBER(10, 0)    NOT NULL,
    as_hyp_event_id           NUMBER(10, 0)    NOT NULL,
    asset_org_site            CHAR(16)         NOT NULL,
    asset_id                  NUMBER(10, 0)    NOT NULL,
    ev_db_site                CHAR(16)         NOT NULL,
    ev_db_id                  NUMBER(10, 0)    NOT NULL,
    event_type_code           NUMBER(10, 0)    NOT NULL,
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP,
    cr_loc_hr_delta           NUMBER(5, 0),
    cr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    associated_blob           BLOB,
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__as_hyp_event__477199F1 PRIMARY KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
) 
;



-- 
-- TABLE: as_network_connect 
--

CREATE TABLE as_network_connect(
    network_db_site      CHAR(16)         NOT NULL,
    network_db_id        NUMBER(10, 0)    NOT NULL,
    network_id           NUMBER(10, 0)    NOT NULL,
    asset_org_site       CHAR(16)         NOT NULL,
    asset_id             NUMBER(10, 0)    NOT NULL,
    output_as_site       CHAR(16)         NOT NULL,
    output_as_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    gmt_stream_config    TIMESTAMP,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__as_network_conne__7755B73D PRIMARY KEY (network_db_site, network_db_id, network_id, asset_org_site, asset_id, output_as_site, output_as_id, ordering_seq)
) 
;



-- 
-- TABLE: as_num_dat_type 
--

CREATE TABLE as_num_dat_type(
    an_db_site          CHAR(16)         NOT NULL,
    an_db_id            NUMBER(10, 0)    NOT NULL,
    an_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    default_ru_type     NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_num_dat_type__34C8D9D1 PRIMARY KEY (an_db_site, an_db_id, an_type_code)
) 
;



-- 
-- TABLE: as_prop_ev_as_ev 
--

CREATE TABLE as_prop_ev_as_ev(
    as_prop_db_site     CHAR(16)         NOT NULL,
    as_prop_db_id       NUMBER(10, 0)    NOT NULL,
    as_prop_event_id    NUMBER(10, 0)    NOT NULL,
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_prop_ev_as_ev__00AA174D PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id, asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: as_prop_ev_as_func 
--

CREATE TABLE as_prop_ev_as_func(
    as_prop_db_site     CHAR(16)         NOT NULL,
    as_prop_db_id       NUMBER(10, 0)    NOT NULL,
    as_prop_event_id    NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_prop_ev_as_fu__7908F585 PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id, db_site, db_id, asset_org_site, asset_id, ordering_seq)
) 
;



-- 
-- TABLE: as_prop_ev_hyp_ev 
--

CREATE TABLE as_prop_ev_hyp_ev(
    as_prop_db_site     CHAR(16)         NOT NULL,
    as_prop_db_id       NUMBER(10, 0)    NOT NULL,
    as_prop_event_id    NUMBER(10, 0)    NOT NULL,
    as_hypev_db_site    CHAR(16)         NOT NULL,
    as_hypev_db_id      NUMBER(10, 0)    NOT NULL,
    as_hyp_event_id     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_prop_ev_hyp_e__7CD98669 PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id, as_hypev_db_site, as_hypev_db_id, as_hyp_event_id)
) 
;



-- 
-- TABLE: as_prop_ev_link 
--

CREATE TABLE as_prop_ev_link(
    as_prop_db_site     CHAR(16)            NOT NULL,
    as_prop_db_id       NUMBER(10, 0)       NOT NULL,
    as_prop_event_id    NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_prop_ev_link__7167D3BD PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: as_prop_ev_meas_ev 
--

CREATE TABLE as_prop_ev_meas_ev(
    as_prop_db_site     CHAR(16)         NOT NULL,
    as_prop_db_id       NUMBER(10, 0)    NOT NULL,
    as_prop_event_id    NUMBER(10, 0)    NOT NULL,
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_prop_ev_meas___047AA831 PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: as_prop_ev_ndat 
--

CREATE TABLE as_prop_ev_ndat(
    as_prop_db_site     CHAR(16)            NOT NULL,
    as_prop_db_id       NUMBER(10, 0)       NOT NULL,
    as_prop_event_id    NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_prop_ev_ndat__753864A1 PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: as_proposed_event 
--

CREATE TABLE as_proposed_event(
    as_prop_db_site           CHAR(16)            NOT NULL,
    as_prop_db_id             NUMBER(10, 0)       NOT NULL,
    as_prop_event_id          NUMBER(10, 0)       NOT NULL,
    asset_org_site            CHAR(16)            NOT NULL,
    asset_id                  NUMBER(10, 0)       NOT NULL,
    ev_db_site                CHAR(16)            NOT NULL,
    ev_db_id                  NUMBER(10, 0)       NOT NULL,
    event_type_code           NUMBER(10, 0)       NOT NULL,
    severity_lev_db_site      CHAR(16)            NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)       NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)       NOT NULL,
    gmt_proposed              TIMESTAMP,
    pr_loc_hr_delta           NUMBER(5, 0),
    pr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    likelihood_prob           DOUBLE PRECISION,
    est_gmt_start             TIMESTAMP,
    st_loc_hr_delta           NUMBER(5, 0),
    st_loc_min_delta          NUMBER(5, 0),
    est_gmt_occur_end         TIMESTAMP,
    end_loc_hr_delta          NUMBER(5, 0),
    end_loc_min_delta         NUMBER(5, 0),
    ch_patt_db_site           CHAR(16),
    ch_patt_db_id             NUMBER(10, 0),
    ch_patt_type_code         NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_audited               TIMESTAMP,
    aud_loc_hr_delta          NUMBER(5, 0),
    aud_loc_min_delta         NUMBER(5, 0),
    aud_quality_code          NUMBER(5, 0),
    aud_by_org_asite          CHAR(16),
    aud_by_agent_id           NUMBER(10, 0),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__as_proposed_even__6D9742D9 PRIMARY KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
) 
;



-- 
-- TABLE: as_readiness_type 
--

CREATE TABLE as_readiness_type(
    asr_db_site         CHAR(16)         NOT NULL,
    asr_db_id           NUMBER(10, 0)    NOT NULL,
    asr_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    description         VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_readiness_typ__164452B1 PRIMARY KEY (asr_db_site, asr_db_id, asr_type_code)
) 
;



-- 
-- TABLE: as_rec_as_event 
--

CREATE TABLE as_rec_as_event(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ev_as_org_site        CHAR(16)         NOT NULL,
    ev_as_id              NUMBER(10, 0)    NOT NULL,
    ev_db_site            CHAR(16)         NOT NULL,
    ev_db_id              NUMBER(10, 0)    NOT NULL,
    event_type_code       NUMBER(10, 0)    NOT NULL,
    gmt_event_start       TIMESTAMP        NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_as_event__3BCADD1B PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, ev_as_org_site, ev_as_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: as_rec_as_health 
--

CREATE TABLE as_rec_as_health(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    hth_as_org_site       CHAR(16)         NOT NULL,
    hth_asset_id          NUMBER(10, 0)    NOT NULL,
    hth_gmt_assess        TIMESTAMP        NOT NULL,
    hth_by_agent_site     CHAR(16)         NOT NULL,
    hth_by_agent_id       NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_as_health__37FA4C37 PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, hth_as_org_site, hth_asset_id, hth_gmt_assess, hth_by_agent_site, hth_by_agent_id)
) 
;



-- 
-- TABLE: as_rec_as_hyp_ev 
--

CREATE TABLE as_rec_as_hyp_ev(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    as_hyp_db_site        CHAR(16)         NOT NULL,
    as_hyp_db_id          NUMBER(10, 0)    NOT NULL,
    as_hyp_event_id       NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_as_hyp_ev__3F9B6DFF PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
) 
;



-- 
-- TABLE: as_rec_as_prop_ev 
--

CREATE TABLE as_rec_as_prop_ev(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    as_prop_db_site       CHAR(16)         NOT NULL,
    as_prop_db_id         NUMBER(10, 0)    NOT NULL,
    as_prop_event_id      NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_as_prop_e__4924D839 PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, as_prop_db_site, as_prop_db_id, as_prop_event_id)
) 
;



-- 
-- TABLE: as_rec_blob 
--

CREATE TABLE as_rec_blob(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    bd_db_site            CHAR(16)         NOT NULL,
    bd_db_id              NUMBER(10, 0)    NOT NULL,
    bd_type_code          NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    assoc_file_name       VARCHAR2(254),
    image_data            BLOB             NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_blob__2E70E1FD PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: as_rec_mevent 
--

CREATE TABLE as_rec_mevent(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    meas_loc_site         CHAR(16)         NOT NULL,
    meas_loc_id           NUMBER(10, 0)    NOT NULL,
    gmt_event             TIMESTAMP        NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_mevent__4CF5691D PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: as_rec_remark 
--

CREATE TABLE as_rec_remark(
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    remark_text           VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_rec_remark__22FF2F51 PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
;



-- 
-- TABLE: as_recommendation 
--

CREATE TABLE as_recommendation(
    asset_org_site            CHAR(16)         NOT NULL,
    asset_id                  NUMBER(10, 0)    NOT NULL,
    gmt_recommendation        TIMESTAMP        NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__as_recommendatio__178D7CA5 PRIMARY KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: as_remaining_life 
--

CREATE TABLE as_remaining_life(
    asset_org_site        CHAR(16)            NOT NULL,
    asset_id              NUMBER(10, 0)       NOT NULL,
    gmt_assessment        TIMESTAMP           NOT NULL,
    by_agent_site         CHAR(16)            NOT NULL,
    by_agent_id           NUMBER(10, 0)       NOT NULL,
    loc_hr_delta          NUMBER(5, 0),
    loc_min_delta         NUMBER(5, 0),
    est_remaining_life    DOUBLE PRECISION,
    erl_eu_db_site        CHAR(16),
    erl_eu_db_id          NUMBER(10, 0),
    erl_eu_type_code      NUMBER(10, 0),
    error_estimate        DOUBLE PRECISION,
    err_eu_db_site        CHAR(16),
    err_eu_db_id          NUMBER(10, 0),
    err_eu_type_code      NUMBER(10, 0),
    likelihood_prob       DOUBLE PRECISION,
    gmt_created           TIMESTAMP,
    cr_loc_hr_delta       NUMBER(5, 0),
    cr_loc_min_delta      NUMBER(5, 0),
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_remaining_lif__13BCEBC1 PRIMARY KEY (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: as_req_for_work 
--

CREATE TABLE as_req_for_work(
    req_db_site           CHAR(16)          NOT NULL,
    req_db_id             NUMBER(10, 0)     NOT NULL,
    request_id            NUMBER(10, 0)     NOT NULL,
    asset_org_site        CHAR(16)          NOT NULL,
    asset_id              NUMBER(10, 0)     NOT NULL,
    wm_type_db_site       CHAR(16)          NOT NULL,
    wm_type_db_id         NUMBER(10, 0)     NOT NULL,
    wm_type_code          NUMBER(10, 0)     NOT NULL,
    task_db_site          CHAR(16)          NOT NULL,
    task_db_id            NUMBER(10, 0)     NOT NULL,
    task_type_code        NUMBER(10, 0)     NOT NULL,
    auto_approve          CHAR(1)           
                          CONSTRAINT CK__as_req_fo__auto___58671BC9 CHECK (auto_approve IN ('N','Y')),
    start_before_gmt      TIMESTAMP,
    end_before_gmt        TIMESTAMP,
    start_after_gmt       TIMESTAMP,
    end_after_gmt         TIMESTAMP,
    repeat_interval       NUMBER(10, 0),
    int_eu_db_site        CHAR(16),
    int_eu_db_id          NUMBER(10, 0),
    int_eu_type_code      NUMBER(10, 0),
    to_agent_site         CHAR(16),
    to_agent_id           NUMBER(10, 0),
    sol_pack_db_site      CHAR(16),
    sol_pack_db_id        NUMBER(10, 0),
    sol_pack_id           NUMBER(10, 0),
    rec_asset_org_site    CHAR(16),
    rec_asset_id          NUMBER(10, 0),
    rec_gmt_recomm        TIMESTAMP,
    rec_by_agent_site     CHAR(16),
    rec_by_agent_id       NUMBER(10, 0),
    work_req_db_site      CHAR(16),
    work_req_db_id        NUMBER(10, 0),
    work_req_id           NUMBER(10, 0),
    work_order_db_site    CHAR(16),
    work_order_db_id      NUMBER(10, 0),
    work_order_id         NUMBER(10, 0),
    name                  VARCHAR2(254),
    long_description      VARCHAR2(4000),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_req_for_work__5772F790 PRIMARY KEY (req_db_site, req_db_id, request_id)
) 
;



-- 
-- TABLE: as_sol_pack 
--

CREATE TABLE as_sol_pack(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    sol_pack_db_site    CHAR(16)         NOT NULL,
    sol_pack_db_id      NUMBER(10, 0)    NOT NULL,
    sol_pack_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_sol_pack__090A5324 PRIMARY KEY (asset_org_site, asset_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
;



-- 
-- TABLE: as_typ_hyp_ev_func 
--

CREATE TABLE as_typ_hyp_ev_func(
    ast_hyp_db_site     CHAR(16)         NOT NULL,
    ast_hyp_db_id       NUMBER(10, 0)    NOT NULL,
    ast_hyp_event_id    NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    as_db_site          CHAR(16)         NOT NULL,
    as_db_id            NUMBER(10, 0)    NOT NULL,
    as_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_typ_hyp_ev_fu__67DE6983 PRIMARY KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id, db_site, db_id, as_db_site, as_db_id, as_type_code, ordering_seq)
) 
;



-- 
-- TABLE: as_typ_hyp_ev_link 
--

CREATE TABLE as_typ_hyp_ev_link(
    ast_hyp_db_site     CHAR(16)            NOT NULL,
    ast_hyp_db_id       NUMBER(10, 0)       NOT NULL,
    ast_hyp_event_id    NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_typ_hyp_ev_li__54CB950F PRIMARY KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: as_typ_hyp_ev_num_data 
--

CREATE TABLE as_typ_hyp_ev_num_data(
    ast_hyp_db_site     CHAR(16)            NOT NULL,
    ast_hyp_db_id       NUMBER(10, 0)       NOT NULL,
    ast_hyp_event_id    NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_typ_hyp_ev_nu__5E54FF49 PRIMARY KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: as_typ_hyp_event 
--

CREATE TABLE as_typ_hyp_event(
    ast_hyp_db_site           CHAR(16)         NOT NULL,
    ast_hyp_db_id             NUMBER(10, 0)    NOT NULL,
    ast_hyp_event_id          NUMBER(10, 0)    NOT NULL,
    as_db_site                CHAR(16)         NOT NULL,
    as_db_id                  NUMBER(10, 0)    NOT NULL,
    as_type_code              NUMBER(10, 0)    NOT NULL,
    ev_db_site                CHAR(16)         NOT NULL,
    ev_db_id                  NUMBER(10, 0)    NOT NULL,
    event_type_code           NUMBER(10, 0)    NOT NULL,
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP,
    cr_loc_hr_delta           NUMBER(5, 0),
    cr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    associated_blob           BLOB,
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__as_typ_hyp_event__4B422AD5 PRIMARY KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
) 
;



-- 
-- TABLE: as_type_blob_data 
--

CREATE TABLE as_type_blob_data(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    as_db_site          CHAR(16)         NOT NULL,
    as_db_id            NUMBER(10, 0)    NOT NULL,
    as_type_code        NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_type_blob_dat__1F63A897 PRIMARY KEY (db_site, db_id, as_db_site, as_db_id, as_type_code, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: as_type_function 
--

CREATE TABLE as_type_function(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    as_db_site          CHAR(16)         NOT NULL,
    as_db_id            NUMBER(10, 0)    NOT NULL,
    as_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    gmt_created         TIMESTAMP,
    cr_loc_hr_delta     NUMBER(5, 0),
    cr_loc_min_delta    NUMBER(5, 0),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__as_type_function__32767D0B PRIMARY KEY (db_site, db_id, as_db_site, as_db_id, as_type_code, ordering_seq)
) 
;



-- 
-- TABLE: as_type_rec_blob 
--

CREATE TABLE as_type_rec_blob(
    as_db_site            CHAR(16)         NOT NULL,
    as_db_id              NUMBER(10, 0)    NOT NULL,
    as_type_code          NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    bd_db_site            CHAR(16)         NOT NULL,
    bd_db_id              NUMBER(10, 0)    NOT NULL,
    bd_type_code          NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    assoc_file_name       VARCHAR2(254),
    image_data            BLOB             NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_type_rec_blob__324172E1 PRIMARY KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: as_type_rec_hyp_ev 
--

CREATE TABLE as_type_rec_hyp_ev(
    as_db_site            CHAR(16)         NOT NULL,
    as_db_id              NUMBER(10, 0)    NOT NULL,
    as_type_code          NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    as_hyp_db_site        CHAR(16)         NOT NULL,
    as_hyp_db_id          NUMBER(10, 0)    NOT NULL,
    as_hyp_event_id       NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_type_rec_hyp___436BFEE3 PRIMARY KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id, as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
) 
;



-- 
-- TABLE: as_type_rec_remark 
--

CREATE TABLE as_type_rec_remark(
    as_db_site            CHAR(16)         NOT NULL,
    as_db_id              NUMBER(10, 0)    NOT NULL,
    as_type_code          NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    remark_text           VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__as_type_rec_rema__28B808A7 PRIMARY KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
;



-- 
-- TABLE: as_type_recomm 
--

CREATE TABLE as_type_recomm(
    as_db_site                CHAR(16)         NOT NULL,
    as_db_id                  NUMBER(10, 0)    NOT NULL,
    as_type_code              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation        TIMESTAMP        NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    name                      VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__as_type_recomm__1D4655FB PRIMARY KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: asset_blob_data 
--

CREATE TABLE asset_blob_data(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_blob_data__214BF109 PRIMARY KEY (db_site, db_id, asset_org_site, asset_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: asset_child 
--

CREATE TABLE asset_child(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    child_as_site       CHAR(16)         NOT NULL,
    child_as_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_child__3E52440B PRIMARY KEY (asset_org_site, asset_id, child_as_site, child_as_id)
) 
;



-- 
-- TABLE: asset_chr_data 
--

CREATE TABLE asset_chr_data(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ac_db_site          CHAR(16)         NOT NULL,
    ac_db_id            NUMBER(10, 0)    NOT NULL,
    ac_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_chr_data__4222D4EF PRIMARY KEY (asset_org_site, asset_id, ac_db_site, ac_db_id, ac_type_code)
) 
;



-- 
-- TABLE: asset_event_link 
--

CREATE TABLE asset_event_link(
    asset_org_site       CHAR(16)         NOT NULL,
    asset_id             NUMBER(10, 0)    NOT NULL,
    ev_db_site           CHAR(16)         NOT NULL,
    ev_db_id             NUMBER(10, 0)    NOT NULL,
    event_type_code      NUMBER(10, 0)    NOT NULL,
    gmt_event_start      TIMESTAMP        NOT NULL,
    caused_as_site       CHAR(16)         NOT NULL,
    caused_as_id         NUMBER(10, 0)    NOT NULL,
    caused_ev_db_site    CHAR(16)         NOT NULL,
    caused_ev_db_id      NUMBER(10, 0)    NOT NULL,
    caused_ev_code       NUMBER(10, 0)    NOT NULL,
    caused_gmt           TIMESTAMP        NOT NULL,
    name                 VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__asset_event_link__43A1090D PRIMARY KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, caused_as_site, caused_as_id, caused_ev_db_site, caused_ev_db_id, caused_ev_code, caused_gmt)
) 
;



-- 
-- TABLE: asset_event 
--

CREATE TABLE asset_event(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    gmt_event_stop      TIMESTAMP,
    ev_loc_hr_delta     NUMBER(5, 0),
    ev_loc_min_delta    NUMBER(5, 0),
    gmt_stored          TIMESTAMP,
    st_loc_hr_delta     NUMBER(5, 0),
    st_loc_min_delta    NUMBER(5, 0),
    name                VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_event__440B1D61 PRIMARY KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: asset_function 
--

CREATE TABLE asset_function(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    gmt_created         TIMESTAMP,
    cr_loc_hr_delta     NUMBER(5, 0),
    cr_loc_min_delta    NUMBER(5, 0),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_function__2EA5EC27 PRIMARY KEY (db_site, db_id, asset_org_site, asset_id, ordering_seq)
) 
;



-- 
-- TABLE: asset_geo_position 
--

CREATE TABLE asset_geo_position(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    geo_db_site         CHAR(16)         NOT NULL,
    geo_db_id           NUMBER(10, 0)    NOT NULL,
    geo_position_id     NUMBER(10, 0)    NOT NULL,
    gmt_at_location     TIMESTAMP        NOT NULL,
    loc_hr_delta        NUMBER(5, 0),
    loc_min_delta       NUMBER(5, 0),
    duration            NUMBER(10, 0)    NOT NULL,
    dur_eu_db_site      CHAR(16)         NOT NULL,
    dur_eu_db_id        NUMBER(10, 0)    NOT NULL,
    dur_eu_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_geo_positi__3AA1AEB8 PRIMARY KEY (asset_org_site, asset_id, geo_db_site, geo_db_id, geo_position_id, gmt_at_location)
) 
;



-- 
-- TABLE: asset_health 
--

CREATE TABLE asset_health(
    asset_org_site          CHAR(16)            NOT NULL,
    asset_id                NUMBER(10, 0)       NOT NULL,
    gmt_assessment          TIMESTAMP                NOT NULL,
    by_agent_site           CHAR(16)            NOT NULL,
    by_agent_id             NUMBER(10, 0)       NOT NULL,
    loc_hr_delta            NUMBER(5, 0),
    loc_min_delta           NUMBER(5, 0),
    health_lev_db_site      CHAR(16)            NOT NULL,
    health_lev_db_id        NUMBER(10, 0)       NOT NULL,
    health_lev_type_code    NUMBER(10, 0)       NOT NULL,
    health_scale_precise    DOUBLE PRECISION,
    likelihood_prob         DOUBLE PRECISION,
    gmt_created             TIMESTAMP,
    cr_loc_hr_delta         NUMBER(5, 0),
    cr_loc_min_delta        NUMBER(5, 0),
    ch_patt_db_site         CHAR(16),
    ch_patt_db_id           NUMBER(10, 0),
    ch_patt_type_code       NUMBER(10, 0),
    gmt_audited             TIMESTAMP,
    aud_loc_hr_delta        NUMBER(5, 0),
    aud_loc_min_delta       NUMBER(5, 0),
    aud_quality_code        NUMBER(5, 0),
    aud_by_org_asite        CHAR(16),
    aud_by_agent_id         NUMBER(10, 0),
    name                    VARCHAR2(254),
    gmt_last_updated        TIMESTAMP,
    last_upd_db_site        CHAR(16),
    last_upd_db_id          NUMBER(10, 0),
    rstat_type_code         NUMBER(5, 0),
    CONSTRAINT PK__asset_health__084B3915 PRIMARY KEY (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: asset_num_data 
--

CREATE TABLE asset_num_data(
    asset_org_site      CHAR(16)            NOT NULL,
    asset_id            NUMBER(10, 0)       NOT NULL,
    an_db_site          CHAR(16)            NOT NULL,
    an_db_id            NUMBER(10, 0)       NOT NULL,
    an_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_num_data__403A8C7D PRIMARY KEY (asset_org_site, asset_id, an_db_site, an_db_id, an_type_code)
) 
;



-- 
-- TABLE: asset_on_segment 
--

CREATE TABLE asset_on_segment(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    gmt_installed       TIMESTAMP        NOT NULL,
    gmt_removed         TIMESTAMP,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_on_segment__45F365D3 PRIMARY KEY (asset_org_site, asset_id, segment_site, segment_id, gmt_installed)
) 
;



-- 
-- TABLE: asset_owner 
--

CREATE TABLE asset_owner(
    asset_org_site      CHAR(16)         NOT NULL,
    asset_id            NUMBER(10, 0)    NOT NULL,
    gmt_purchased       TIMESTAMP        NOT NULL,
    sold_to_site        CHAR(16)         NOT NULL,
    purch_from_site     CHAR(16),
    pc_db_site          CHAR(16),
    pc_db_id            NUMBER(10, 0),
    pc_type_code        NUMBER(10, 0),
    asr_db_site         CHAR(16),
    asr_db_id           NUMBER(10, 0),
    asr_type_code       NUMBER(10, 0),
    gmt_sold            TIMESTAMP,
    gmt_discarded       TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_owner__47DBAE45 PRIMARY KEY (asset_org_site, asset_id, gmt_purchased)
) 
;



-- 
-- TABLE: asset_type_child 
--

CREATE TABLE asset_type_child(
    as_db_site            CHAR(16)         NOT NULL,
    as_db_id              NUMBER(10, 0)    NOT NULL,
    as_type_code          NUMBER(10, 0)    NOT NULL,
    child_as_db_site      CHAR(16)         NOT NULL,
    child_as_db_id        NUMBER(10, 0)    NOT NULL,
    child_as_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__asset_type_child__2F10007B PRIMARY KEY (as_db_site, as_db_id, as_type_code, child_as_db_site, child_as_db_id, child_as_type_code)
) 
;



-- 
-- TABLE: asset_type 
--

CREATE TABLE asset_type(
    as_db_site          CHAR(16)         NOT NULL,
    as_db_id            NUMBER(10, 0)    NOT NULL,
    as_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    default_mnemonic    VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset_type__2D27B809 PRIMARY KEY (as_db_site, as_db_id, as_type_code)
) 
;



-- 
-- TABLE: asset 
--

CREATE TABLE asset(
    asset_org_site      CHAR(16)          NOT NULL,
    asset_id            NUMBER(10, 0)     NOT NULL,
    as_db_site          CHAR(16)          NOT NULL,
    as_db_id            NUMBER(10, 0)     NOT NULL,
    as_type_code        NUMBER(10, 0)     NOT NULL,
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    long_description    VARCHAR2(4000),
    mf_db_site          CHAR(16),
    mf_db_id            NUMBER(10, 0),
    manuf_code          NUMBER(10, 0),
    model_db_site       CHAR(16),
    model_db_id         NUMBER(10, 0),
    model_id            NUMBER(10, 0),
    serial_number       VARCHAR2(254),
    asr_db_site         CHAR(16),
    asr_db_id           NUMBER(10, 0),
    asr_type_code       NUMBER(10, 0),
    segment_site        CHAR(16),
    segment_id          NUMBER(10, 0),
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__asset__3C69FB99 PRIMARY KEY (asset_org_site, asset_id)
) 
;



-- 
-- TABLE: ave_synch_type 
--

CREATE TABLE ave_synch_type(
    ave_sy_db_site      CHAR(16)         NOT NULL,
    ave_sy_db_id        NUMBER(10, 0)    NOT NULL,
    ave_sy_type_code    NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ave_synch_type__0E6E26BF PRIMARY KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
) 
;



-- 
-- TABLE: ave_weight_type 
--

CREATE TABLE ave_weight_type(
    ave_wt_db_site      CHAR(16)         NOT NULL,
    ave_wt_db_id        NUMBER(10, 0)    NOT NULL,
    ave_wt_type_code    NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ave_weight_type__0C85DE4D PRIMARY KEY (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
) 
;



-- 
-- TABLE: average_type 
--

CREATE TABLE average_type(
    ave_db_site         CHAR(16)         NOT NULL,
    ave_db_id           NUMBER(10, 0)    NOT NULL,
    ave_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__average_type__0A9D95DB PRIMARY KEY (ave_db_site, ave_db_id, ave_type_code)
) 
;



-- 
-- TABLE: blob_alarm 
--

CREATE TABLE blob_alarm(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    mebt_db_site         CHAR(16)         NOT NULL,
    mebt_db_id           NUMBER(10, 0)    NOT NULL,
    meb_type_code        NUMBER(10, 0)    NOT NULL,
    al_db_site           CHAR(16)         NOT NULL,
    al_db_id             NUMBER(10, 0)    NOT NULL,
    al_type_code         NUMBER(10, 0)    NOT NULL,
    gmt_acknowledged     TIMESTAMP        NOT NULL,
    ack_loc_hr_delta     NUMBER(5, 0),
    ack_loc_min_delta    NUMBER(5, 0),
    org_agent_site       CHAR(16),
    agent_id             NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__blob_alarm__28ED12D1 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code, al_db_site, al_db_id, al_type_code)
) 
;



-- 
-- TABLE: blob_area_alarm 
--

CREATE TABLE blob_area_alarm(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    mebt_db_site         CHAR(16)         NOT NULL,
    mebt_db_id           NUMBER(10, 0)    NOT NULL,
    meb_type_code        NUMBER(10, 0)    NOT NULL,
    area_seq             NUMBER(10, 0)    NOT NULL,
    x_resolution         NUMBER(10, 0)    NOT NULL,
    y_resolution         NUMBER(10, 0)    NOT NULL,
    high_db_site         CHAR(16)         NOT NULL,
    high_db_id           NUMBER(10, 0)    NOT NULL,
    high_type_code       NUMBER(10, 0)    NOT NULL,
    data_origin_x        NUMBER(10, 0)    NOT NULL,
    data_origin_y        NUMBER(10, 0)    NOT NULL,
    data_end_x           NUMBER(10, 0)    NOT NULL,
    data_end_y           NUMBER(10, 0)    NOT NULL,
    al_db_site           CHAR(16)         NOT NULL,
    al_db_id             NUMBER(10, 0)    NOT NULL,
    al_type_code         NUMBER(10, 0)    NOT NULL,
    gmt_acknowledged     TIMESTAMP        NOT NULL,
    ack_loc_hr_delta     NUMBER(5, 0),
    ack_loc_min_delta    NUMBER(5, 0),
    org_agent_site       CHAR(16),
    agent_id             NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__blob_area_alarm__2AD55B43 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code, area_seq)
) 
;



-- 
-- TABLE: blob_content_type 
--

CREATE TABLE blob_content_type(
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__blob_content_typ__55009F39 PRIMARY KEY (blct_db_site, blct_db_id, blc_type_code)
) 
;



-- 
-- TABLE: blob_data_type 
--

CREATE TABLE blob_data_type(
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__blob_data_type__531856C7 PRIMARY KEY (bd_db_site, bd_db_id, bd_type_code)
) 
;



-- 
-- TABLE: blob_grid_data 
--

CREATE TABLE blob_grid_data(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    mebt_db_site        CHAR(16)         NOT NULL,
    mebt_db_id          NUMBER(10, 0)    NOT NULL,
    meb_type_code       NUMBER(10, 0)    NOT NULL,
    grid_seq            NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    x_resolution        NUMBER(10, 0)    NOT NULL,
    y_resolution        NUMBER(10, 0)    NOT NULL,
    data_origin_x       NUMBER(10, 0)    NOT NULL,
    data_origin_y       NUMBER(10, 0)    NOT NULL,
    data_end_x          NUMBER(10, 0)    NOT NULL,
    data_end_y          NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    float_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__blob_grid_data__2704CA5F PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code, grid_seq)
) 
;



-- 
-- TABLE: change_patt_type 
--

CREATE TABLE change_patt_type(
    ch_patt_db_site      CHAR(16)         NOT NULL,
    ch_patt_db_id        NUMBER(10, 0)    NOT NULL,
    ch_patt_type_code    NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__change_patt_type__69FBBC1F PRIMARY KEY (ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
) 
;



-- 
-- TABLE: cris_instance 
--

CREATE TABLE cris_instance(
    database_version    VARCHAR2(254)    NOT NULL,
    CONSTRAINT PK__cris_instance__3C89F72A PRIMARY KEY (database_version)
) 
;



-- 
-- TABLE: data_qual_type 
--

CREATE TABLE data_qual_type(
    dqual_type_code     NUMBER(5, 0)     NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__data_qual_type__5FB337D6 PRIMARY KEY (dqual_type_code)
) 
;



-- 
-- TABLE: data_source_type 
--

CREATE TABLE data_source_type(
    ds_db_site          CHAR(16)         NOT NULL,
    ds_db_id            NUMBER(10, 0)    NOT NULL,
    ds_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__data_source_type__4BAC3F29 PRIMARY KEY (ds_db_site, ds_db_id, ds_type_code)
) 
;



-- 
-- TABLE: data_source 
--

CREATE TABLE data_source(
    ds_asset_site       CHAR(16)         NOT NULL,
    ds_asset_id         NUMBER(10, 0)    NOT NULL,
    ds_db_site          CHAR(16)         NOT NULL,
    ds_db_id            NUMBER(10, 0)    NOT NULL,
    ds_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__data_source__5AEE82B9 PRIMARY KEY (ds_asset_site, ds_asset_id)
) 
;



-- 
-- TABLE: db_mim_interface 
--

CREATE TABLE db_mim_interface(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    interf_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_snap_refresh    TIMESTAMP,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__db_mim_interface__0539C240 PRIMARY KEY (db_site, db_id, interf_type_code)
) 
;



-- 
-- TABLE: eng_unit_enum 
--

CREATE TABLE eng_unit_enum(
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          NUMBER(10, 0)    NOT NULL,
    data_name           VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__eng_unit_enum__1FCDBCEB PRIMARY KEY (eu_db_site, eu_db_id, eu_type_code, data_value)
) 
;



-- 
-- TABLE: eng_unit_type 
--

CREATE TABLE eng_unit_type(
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    ru_type_code        NUMBER(10, 0)       NOT NULL,
    mult_fact_to_ref    DOUBLE PRECISION    NOT NULL,
    refer_off_to_ref    DOUBLE PRECISION    NOT NULL,
    name                VARCHAR2(254)       NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__eng_unit_type__1DE57479 PRIMARY KEY (eu_db_site, eu_db_id, eu_type_code)
) 
;



-- 
-- TABLE: enterprise_type 
--

CREATE TABLE enterprise_type(
    ent_db_site         CHAR(16)         NOT NULL,
    ent_db_id           NUMBER(10, 0)    NOT NULL,
    ent_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__enterprise_type__7E6CC920 PRIMARY KEY (ent_db_site, ent_db_id, ent_type_code)
) 
;



-- 
-- TABLE: enterprise 
--

CREATE TABLE enterprise(
    enterprise_id       NUMBER(10, 0)    NOT NULL,
    ent_db_site         CHAR(16)         NOT NULL,
    ent_db_id           NUMBER(10, 0)    NOT NULL,
    ent_type_code       NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__enterprise__00551192 PRIMARY KEY (enterprise_id)
) 
;



-- 
-- TABLE: ev_chr_data_type 
--

CREATE TABLE ev_chr_data_type(
    ec_db_site          CHAR(16)         NOT NULL,
    ec_db_id            NUMBER(10, 0)    NOT NULL,
    ec_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ev_chr_data_type__147C05D0 PRIMARY KEY (ec_db_site, ec_db_id, ec_type_code)
) 
;



-- 
-- TABLE: ev_num_data_type 
--

CREATE TABLE ev_num_data_type(
    en_db_site          CHAR(16)         NOT NULL,
    en_db_id            NUMBER(10, 0)    NOT NULL,
    en_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ev_num_data_type__5CA1C101 PRIMARY KEY (en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: event_type_child 
--

CREATE TABLE event_type_child(
    ev_db_site            CHAR(16)         NOT NULL,
    ev_db_id              NUMBER(10, 0)    NOT NULL,
    event_type_code       NUMBER(10, 0)    NOT NULL,
    child_ev_db_site      CHAR(16)         NOT NULL,
    child_ev_db_id        NUMBER(10, 0)    NOT NULL,
    child_ev_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__event_type_child__45BE5BA9 PRIMARY KEY (ev_db_site, ev_db_id, event_type_code, child_ev_db_site, child_ev_db_id, child_ev_type_code)
) 
;



-- 
-- TABLE: geo_position 
--

CREATE TABLE geo_position(
    geo_db_site         CHAR(16)         NOT NULL,
    geo_db_id           NUMBER(10, 0)    NOT NULL,
    geo_position_id     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    description         VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__geo_position__2F2FFC0C PRIMARY KEY (geo_db_site, geo_db_id, geo_position_id)
) 
;



-- 
-- TABLE: gps_datum_type 
--

CREATE TABLE gps_datum_type(
    datum_db_site       CHAR(16)         NOT NULL,
    datum_db_id         NUMBER(10, 0)    NOT NULL,
    datum_type_code     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    default_mnemonic    VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__gps_datum_type__3118447E PRIMARY KEY (datum_db_site, datum_db_id, datum_type_code)
) 
;



-- 
-- TABLE: gps_elevation_type 
--

CREATE TABLE gps_elevation_type(
    elevation_db_site      CHAR(16)         NOT NULL,
    elevation_db_id        NUMBER(10, 0)    NOT NULL,
    elevation_type_code    NUMBER(10, 0)    NOT NULL,
    name                   VARCHAR2(254),
    default_mnemonic       VARCHAR2(254),
    user_tag_ident         VARCHAR2(254),
    gmt_last_updated       TIMESTAMP,
    last_upd_db_site       CHAR(16),
    last_upd_db_id         NUMBER(10, 0),
    rstat_type_code        NUMBER(5, 0),
    CONSTRAINT PK__gps_elevation_ty__34E8D562 PRIMARY KEY (elevation_db_site, elevation_db_id, elevation_type_code)
) 
;



-- 
-- TABLE: gps_location 
--

CREATE TABLE gps_location(
    geo_db_site            CHAR(16)            NOT NULL,
    geo_db_id              NUMBER(10, 0)       NOT NULL,
    geo_position_id        NUMBER(10, 0)       NOT NULL,
    ordering_sequence      NUMBER(10, 0)       NOT NULL,
    latitude               DOUBLE PRECISION    NOT NULL,
    longitude              DOUBLE PRECISION    NOT NULL,
    elevation              DOUBLE PRECISION    NOT NULL,
    datum_db_site          CHAR(16)            NOT NULL,
    datum_db_id            NUMBER(10, 0)       NOT NULL,
    datum_type_code        NUMBER(10, 0)       NOT NULL,
    precision_db_site      CHAR(16)            NOT NULL,
    precision_db_id        NUMBER(10, 0)       NOT NULL,
    precision_type_code    NUMBER(10, 0)       NOT NULL,
    elevation_db_site      CHAR(16)            NOT NULL,
    elevation_db_id        NUMBER(10, 0)       NOT NULL,
    elevation_type_code    NUMBER(10, 0)       NOT NULL,
    gmt_last_updated       TIMESTAMP,
    last_upd_db_site       CHAR(16),
    last_upd_db_id         NUMBER(10, 0),
    rstat_type_code        NUMBER(5, 0),
    CONSTRAINT PK__gps_location__36D11DD4 PRIMARY KEY (geo_db_site, geo_db_id, geo_position_id, ordering_sequence)
) 
;



-- 
-- TABLE: gps_precision_type 
--

CREATE TABLE gps_precision_type(
    precision_db_site      CHAR(16)         NOT NULL,
    precision_db_id        NUMBER(10, 0)    NOT NULL,
    precision_type_code    NUMBER(10, 0)    NOT NULL,
    name                   VARCHAR2(254),
    default_mnemonic       VARCHAR2(254),
    user_tag_ident         VARCHAR2(254),
    gmt_last_updated       TIMESTAMP,
    last_upd_db_site       CHAR(16),
    last_upd_db_id         NUMBER(10, 0),
    rstat_type_code        NUMBER(5, 0),
    CONSTRAINT PK__gps_precision_ty__33008CF0 PRIMARY KEY (precision_db_site, precision_db_id, precision_type_code)
) 
;



-- 
-- TABLE: health_level_type 
--

CREATE TABLE health_level_type(
    health_lev_db_site      CHAR(16)         NOT NULL,
    health_lev_db_id        NUMBER(10, 0)    NOT NULL,
    health_lev_type_code    NUMBER(10, 0)    NOT NULL,
    health_scale            NUMBER(10, 0)    NOT NULL,
    name                    VARCHAR2(254)    NOT NULL,
    user_tag_ident          VARCHAR2(254),
    gmt_last_updated        TIMESTAMP,
    last_upd_db_site        CHAR(16),
    last_upd_db_id          NUMBER(10, 0),
    rstat_type_code         NUMBER(5, 0),
    CONSTRAINT PK__health_level_typ__607251E5 PRIMARY KEY (health_lev_db_site, health_lev_db_id, health_lev_type_code)
) 
;



-- 
-- TABLE: highlight_type 
--

CREATE TABLE highlight_type(
    high_db_site        CHAR(16)         NOT NULL,
    high_db_id          NUMBER(10, 0)    NOT NULL,
    high_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__highlight_type__58D1301D PRIMARY KEY (high_db_site, high_db_id, high_type_code)
) 
;



-- 
-- TABLE: log_connector_type 
--

CREATE TABLE log_connector_type(
    lc_db_site          CHAR(16)         NOT NULL,
    lc_db_id            NUMBER(10, 0)    NOT NULL,
    lc_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__log_connector_ty__1293BD5E PRIMARY KEY (lc_db_site, lc_db_id, lc_type_code)
) 
;



-- 
-- TABLE: manufacturer 
--

CREATE TABLE manufacturer(
    mf_db_site            CHAR(16)         NOT NULL,
    mf_db_id              NUMBER(10, 0)    NOT NULL,
    manuf_code            NUMBER(10, 0)    NOT NULL,
    manuf_trade_name      VARCHAR2(254)    NOT NULL,
    company_name          VARCHAR2(254)    NOT NULL,
    phys_addr             VARCHAR2(254),
    phys_city_name        VARCHAR2(254),
    phys_state_abbr       VARCHAR2(254),
    phys_postal_code      VARCHAR2(254),
    phys_country_abbr     VARCHAR2(254),
    mail_addr             VARCHAR2(254),
    mail_city_name        VARCHAR2(254),
    mail_state_abbr       VARCHAR2(254),
    mail_postal_code      VARCHAR2(254),
    mail_country_abbr     VARCHAR2(254),
    us_ph_number          VARCHAR2(254),
    int_ph_country_no     VARCHAR2(254),
    int_ph_city_no        VARCHAR2(254),
    int_ph_local_no       VARCHAR2(254),
    us_fax_number         VARCHAR2(254),
    int_fax_country_no    VARCHAR2(254),
    int_fax_city_no       VARCHAR2(254),
    int_fax_local_no      VARCHAR2(254),
    business_desc         VARCHAR2(254),
    primary_sic           VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    lc_alt_sic1           VARCHAR2(254),
    lc_alt_sic2           VARCHAR2(254),
    CONSTRAINT PK__manufacturer__0BC6C43E PRIMARY KEY (mf_db_site, mf_db_id, manuf_code)
) 
;



-- 
-- TABLE: meas_event_assoc 
--

CREATE TABLE meas_event_assoc(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    related_mloc_site    CHAR(16)         NOT NULL,
    related_mloc_id      NUMBER(10, 0)    NOT NULL,
    related_gmt_event    TIMESTAMP        NOT NULL,
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__meas_event_assoc__6383C8BA PRIMARY KEY (related_mloc_site, related_mloc_id, related_gmt_event, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: meas_event_rem 
--

CREATE TABLE meas_event_rem(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    remark_text         VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_event_rem__656C112C PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
;



-- 
-- TABLE: meas_event 
--

CREATE TABLE meas_event(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    gmt_event           TIMESTAMP                NOT NULL,
    ev_loc_hr_delta     NUMBER(5, 0),
    ev_loc_min_delta    NUMBER(5, 0),
    gmt_stored          TIMESTAMP,
    st_loc_hr_delta     NUMBER(5, 0),
    st_loc_min_delta    NUMBER(5, 0),
    segment_site        CHAR(16),
    segment_id          NUMBER(10, 0),
    asset_org_site      CHAR(16),
    asset_id            NUMBER(10, 0),
    ds_asset_site       CHAR(16),
    ds_asset_id         NUMBER(10, 0),
    tr_asset_site       CHAR(16),
    tr_asset_id         NUMBER(10, 0),
    dqual_type_code     NUMBER(5, 0)        NOT NULL,
    ml_db_site          CHAR(16),
    ml_db_id            NUMBER(10, 0),
    ml_type_code        NUMBER(10, 0),
    mc_db_site          CHAR(16),
    mc_db_id            NUMBER(10, 0),
    mc_type_code        NUMBER(10, 0),
    mc_calc_size        NUMBER(10, 0),
    collect_duration    DOUBLE PRECISION,
    dur_eu_db_site      CHAR(16),
    dur_eu_db_id        NUMBER(10, 0),
    dur_eu_type_code    NUMBER(10, 0),
    confid_percent      NUMBER(5, 0),
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_event__619B8048 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: meas_loc_assoc 
--

CREATE TABLE meas_loc_assoc(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    related_mloc_site    CHAR(16)         NOT NULL,
    related_mloc_id      NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__meas_loc_assoc__0EC32C7A PRIMARY KEY (meas_loc_site, meas_loc_id, related_mloc_site, related_mloc_id)
) 
;



-- 
-- TABLE: meas_loc_blob_data 
--

CREATE TABLE meas_loc_blob_data(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_loc_blob_da__2D47B39A PRIMARY KEY (meas_loc_site, meas_loc_id, bd_db_site, bd_db_id, bd_type_code)
) 
;



-- 
-- TABLE: meas_loc_chr_data 
--

CREATE TABLE meas_loc_chr_data(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    mlc_db_site         CHAR(16)         NOT NULL,
    mlc_db_id           NUMBER(10, 0)    NOT NULL,
    mlc_type_code       NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_loc_chr_dat__2B5F6B28 PRIMARY KEY (meas_loc_site, meas_loc_id, mlc_db_site, mlc_db_id, mlc_type_code)
) 
;



-- 
-- TABLE: meas_loc_list 
--

CREATE TABLE meas_loc_list(
    ord_list_db_site    CHAR(16)         NOT NULL,
    ord_list_db_id      NUMBER(10, 0)    NOT NULL,
    ord_list_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_loc_list__571DF1D5 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq)
) 
;



-- 
-- TABLE: meas_loc_num_data 
--

CREATE TABLE meas_loc_num_data(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    mln_db_site         CHAR(16)            NOT NULL,
    mln_db_id           NUMBER(10, 0)       NOT NULL,
    mln_type_code       NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_loc_num_dat__297722B6 PRIMARY KEY (meas_loc_site, meas_loc_id, mln_db_site, mln_db_id, mln_type_code)
) 
;



-- 
-- TABLE: meas_loc_type 
--

CREATE TABLE meas_loc_type(
    ml_db_site          CHAR(16)         NOT NULL,
    ml_db_id            NUMBER(10, 0)    NOT NULL,
    ml_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_loc_type__49C3F6B7 PRIMARY KEY (ml_db_site, ml_db_id, ml_type_code)
) 
;



-- 
-- TABLE: meas_location 
--

CREATE TABLE meas_location(
    meas_loc_site        CHAR(16)            NOT NULL,
    meas_loc_id          NUMBER(10, 0)       NOT NULL,
    ml_db_site           CHAR(16),
    ml_db_id             NUMBER(10, 0)       NOT NULL,
    ml_type_code         NUMBER(10, 0)       NOT NULL,
    segment_or_asset     CHAR(1)             NOT NULL
                         CONSTRAINT CK__meas_loca__segme__52593CB8 CHECK (segment_or_asset IN('S','A')),
    segment_site         CHAR(16),
    segment_id           NUMBER(10, 0),
    asset_org_site       CHAR(16),
    asset_id             NUMBER(10, 0),
    ds_db_site           CHAR(16),
    ds_db_id             NUMBER(10, 0),
    ds_type_code         NUMBER(10, 0),
    tr_db_site           CHAR(16),
    tr_db_id             NUMBER(10, 0),
    tr_type_code         NUMBER(10, 0),
    ta_orient_deg        NUMBER(10, 0),
    ta_db_site           CHAR(16),
    ta_db_id             NUMBER(10, 0),
    ta_type_code         NUMBER(10, 0),
    mim_loc_seq          NUMBER(10, 0),
    motion_direction     CHAR(1)             
                         CONSTRAINT CK__meas_loca__motio__534D60F1 CHECK (motion_direction IN ('R','N')),
    mim_user_prefix      VARCHAR2(254),
    mc_db_site           CHAR(16),
    mc_db_id             NUMBER(10, 0),
    mc_type_code         NUMBER(10, 0),
    mc_calc_size         NUMBER(10, 0),
    update_interval      DOUBLE PRECISION,
    int_eu_db_site       CHAR(16),
    int_eu_db_id         NUMBER(10, 0),
    int_eu_type_code     NUMBER(10, 0),
    collect_duration     DOUBLE PRECISION,
    dur_eu_db_site       CHAR(16),
    dur_eu_db_id         NUMBER(10, 0),
    dur_eu_type_code     NUMBER(10, 0),
    xml_data_type        VARCHAR2(254),
    xml_pattern_regex    VARCHAR2(254),
    barcode              VARCHAR2(254),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__meas_location__5165187F PRIMARY KEY (meas_loc_site, meas_loc_id)
) 
;



-- 
-- TABLE: meas_sample_child 
--

CREATE TABLE meas_sample_child(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    sample_order_seq     NUMBER(10, 0)    NOT NULL,
    child_mloc_site      CHAR(16)         NOT NULL,
    child_mloc_id        NUMBER(10, 0)    NOT NULL,
    child_gmt_event      TIMESTAMP        NOT NULL,
    child_sam_ord_seq    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__meas_sample_chil__00DF2177 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, child_mloc_site, child_mloc_id, child_gmt_event, child_sam_ord_seq)
) 
;



-- 
-- TABLE: meas_sample_test 
--

CREATE TABLE meas_sample_test(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    sample_order_seq     NUMBER(10, 0)    NOT NULL,
    test_order_seq       NUMBER(10, 0)    NOT NULL,
    stt_db_site          CHAR(16)         NOT NULL,
    stt_db_id            NUMBER(10, 0)    NOT NULL,
    stt_code             NUMBER(10, 0)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    name                 VARCHAR2(254),
    by_agent_site        CHAR(16)         NOT NULL,
    by_agent_id          NUMBER(10, 0)    NOT NULL,
    test_asset_site      CHAR(16),
    test_asset_id        NUMBER(10, 0),
    gmt_started          TIMESTAMP,
    st_loc_hr_delta      NUMBER(5, 0),
    st_loc_min_delta     NUMBER(5, 0),
    gmt_ended            TIMESTAMP,
    end_loc_hr_delta     NUMBER(5, 0),
    end_loc_min_delta    NUMBER(5, 0),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__meas_sample_test__0880433F PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
) 
;



-- 
-- TABLE: meas_sample 
--

CREATE TABLE meas_sample(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    sample_order_seq    NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    by_agent_site       CHAR(16),
    by_agent_id         NUMBER(10, 0),
    name                VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__meas_sample__7EF6D905 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
) 
;



-- 
-- TABLE: mevent_blob_data 
--

CREATE TABLE mevent_blob_data(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    mebt_db_site        CHAR(16)         NOT NULL,
    mebt_db_id          NUMBER(10, 0)    NOT NULL,
    meb_type_code       NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mevent_blob_data__251C81ED PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
) 
;



-- 
-- TABLE: mevent_blob_type 
--

CREATE TABLE mevent_blob_type(
    mebt_db_site        CHAR(16)         NOT NULL,
    mebt_db_id          NUMBER(10, 0)    NOT NULL,
    meb_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mevent_blob_type__56E8E7AB PRIMARY KEY (mebt_db_site, mebt_db_id, meb_type_code)
) 
;



-- 
-- TABLE: mevent_chr_data 
--

CREATE TABLE mevent_chr_data(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mevent_chr_data__693CA210 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code)
) 
;



-- 
-- TABLE: mevent_num_alarm 
--

CREATE TABLE mevent_num_alarm(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    eu_db_site           CHAR(16)         NOT NULL,
    eu_db_id             NUMBER(10, 0)    NOT NULL,
    eu_type_code         NUMBER(10, 0)    NOT NULL,
    al_db_site           CHAR(16)         NOT NULL,
    al_db_id             NUMBER(10, 0)    NOT NULL,
    al_type_code         NUMBER(10, 0)    NOT NULL,
    gmt_acknowledged     TIMESTAMP,
    ack_loc_hr_delta     NUMBER(5, 0),
    ack_loc_min_delta    NUMBER(5, 0),
    org_agent_site       CHAR(16),
    agent_id             NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mevent_num_alarm__76969D2E PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code, al_db_site, al_db_id, al_type_code)
) 
;



-- 
-- TABLE: mevent_num_data 
--

CREATE TABLE mevent_num_data(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    gmt_event           TIMESTAMP                NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mevent_num_data__6754599E PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code)
) 
;



-- 
-- TABLE: mim_access_type 
--

CREATE TABLE mim_access_type(
    acc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mim_access_type__40058253 PRIMARY KEY (acc_type_code)
) 
;



-- 
-- TABLE: mim_data_cat_type 
--

CREATE TABLE mim_data_cat_type(
    dcat_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mim_data_cat_typ__3C34F16F PRIMARY KEY (dcat_type_code)
) 
;



-- 
-- TABLE: mim_func_type 
--

CREATE TABLE mim_func_type(
    func_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mim_func_type__3E1D39E1 PRIMARY KEY (func_type_code)
) 
;



-- 
-- TABLE: mim_interface_type 
--

CREATE TABLE mim_interface_type(
    interf_type_code     NUMBER(10, 0)    NOT NULL,
    dcat_type_code       NUMBER(10, 0)    NOT NULL,
    supp_type_code       NUMBER(10, 0)    NOT NULL,
    func_type_code       NUMBER(10, 0)    NOT NULL,
    tech_type_code       NUMBER(10, 0)    NOT NULL,
    acc_type_code        NUMBER(10, 0)    NOT NULL,
    support_level        NUMBER(5, 0)     NOT NULL,
    version_supported    NUMBER(5, 0)     NOT NULL,
    subversion_supp      NUMBER(5, 0)     NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mim_interface_ty__41EDCAC5 PRIMARY KEY (interf_type_code)
) 
;



-- 
-- TABLE: mim_support_type 
--

CREATE TABLE mim_support_type(
    supp_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mim_support_type__3A4CA8FD PRIMARY KEY (supp_type_code)
) 
;



-- 
-- TABLE: mim_tech_type 
--

CREATE TABLE mim_tech_type(
    tech_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mim_tech_type__3864608B PRIMARY KEY (tech_type_code)
) 
;



-- 
-- TABLE: mloc_calc_type 
--

CREATE TABLE mloc_calc_type(
    mc_db_site          CHAR(16)         NOT NULL,
    mc_db_id            NUMBER(10, 0)    NOT NULL,
    mc_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    description         VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mloc_calc_type__182C9B23 PRIMARY KEY (mc_db_site, mc_db_id, mc_type_code)
) 
;



-- 
-- TABLE: mloc_chr_data_type 
--

CREATE TABLE mloc_chr_data_type(
    mlc_db_site         CHAR(16)         NOT NULL,
    mlc_db_id           NUMBER(10, 0)    NOT NULL,
    mlc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mloc_chr_data_ty__184C96B4 PRIMARY KEY (mlc_db_site, mlc_db_id, mlc_type_code)
) 
;



-- 
-- TABLE: mloc_num_data_type 
--

CREATE TABLE mloc_num_data_type(
    mln_db_site         CHAR(16)         NOT NULL,
    mln_db_id           NUMBER(10, 0)    NOT NULL,
    mln_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mloc_num_data_ty__16644E42 PRIMARY KEY (mln_db_site, mln_db_id, mln_type_code)
) 
;



-- 
-- TABLE: mloc_test_alrm_rg 
--

CREATE TABLE mloc_test_alrm_rg(
    alarm_db_site        CHAR(16)            NOT NULL,
    alarm_db_id          NUMBER(10, 0)       NOT NULL,
    meas_loc_site        CHAR(16)            NOT NULL,
    meas_loc_id          NUMBER(10, 0)       NOT NULL,
    ordering_seq         NUMBER(10, 0)       NOT NULL,
    ml_db_site           CHAR(16),
    ml_db_id             NUMBER(10, 0),
    ml_type_code         NUMBER(10, 0),
    mc_db_site           CHAR(16),
    mc_db_id             NUMBER(10, 0),
    mc_type_code         NUMBER(10, 0),
    stt_db_site          CHAR(16)            NOT NULL,
    stt_db_id            NUMBER(10, 0)       NOT NULL,
    stt_code             NUMBER(10, 0)       NOT NULL,
    al_db_site           CHAR(16)            NOT NULL,
    al_db_id             NUMBER(10, 0)       NOT NULL,
    al_type_code         NUMBER(10, 0)       NOT NULL,
    strn_db_site         CHAR(16)            NOT NULL,
    strn_db_id           NUMBER(10, 0)       NOT NULL,
    str_num_type_code    NUMBER(10, 0)       NOT NULL,
    eu_db_site           CHAR(16)            NOT NULL,
    eu_db_id             NUMBER(10, 0)       NOT NULL,
    eu_type_code         NUMBER(10, 0)       NOT NULL,
    gmt_alarm_start      TIMESTAMP                NOT NULL,
    st_loc_hr_delta      NUMBER(5, 0),
    st_loc_min_delta     NUMBER(5, 0),
    min_data_value       DOUBLE PRECISION    NOT NULL,
    max_data_value       DOUBLE PRECISION    NOT NULL,
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mloc_test_alrm_r__7D0E9093 PRIMARY KEY (alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
) 
;



-- 
-- TABLE: mloc_type_child 
--

CREATE TABLE mloc_type_child(
    ml_db_site            CHAR(16)         NOT NULL,
    ml_db_id              NUMBER(10, 0)    NOT NULL,
    ml_type_code          NUMBER(10, 0)    NOT NULL,
    child_ml_db_site      CHAR(16)         NOT NULL,
    child_ml_db_id        NUMBER(10, 0)    NOT NULL,
    child_ml_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__mloc_type_child__07220AB2 PRIMARY KEY (ml_db_site, ml_db_id, ml_type_code, child_ml_db_site, child_ml_db_id, child_ml_type_code)
) 
;



-- 
-- TABLE: mloc_ulist_sp_ampl 
--

CREATE TABLE mloc_ulist_sp_ampl(
    ord_list_db_site     CHAR(16)         NOT NULL,
    ord_list_db_id       NUMBER(10, 0)    NOT NULL,
    ord_list_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    channel_number       NUMBER(10, 0)    NOT NULL,
    spa_setup_db_site    CHAR(16)         NOT NULL,
    spa_setup_db_id      NUMBER(10, 0)    NOT NULL,
    spa_setup_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mloc_ulist_sp_am__30C33EC3 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spa_setup_db_site, spa_setup_db_id, spa_setup_id)
) 
;



-- 
-- TABLE: mloc_ulist_sp_cpb 
--

CREATE TABLE mloc_ulist_sp_cpb(
    ord_list_db_site     CHAR(16)         NOT NULL,
    ord_list_db_id       NUMBER(10, 0)    NOT NULL,
    ord_list_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    channel_number       NUMBER(10, 0)    NOT NULL,
    spc_setup_db_site    CHAR(16)         NOT NULL,
    spc_setup_db_id      NUMBER(10, 0)    NOT NULL,
    spc_setup_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mloc_ulist_sp_cp__367C1819 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spc_setup_db_site, spc_setup_db_id, spc_setup_id)
) 
;



-- 
-- TABLE: mloc_ulist_sp_fft 
--

CREATE TABLE mloc_ulist_sp_fft(
    ord_list_db_site     CHAR(16)         NOT NULL,
    ord_list_db_id       NUMBER(10, 0)    NOT NULL,
    ord_list_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    channel_number       NUMBER(10, 0)    NOT NULL,
    spf_setup_db_site    CHAR(16)         NOT NULL,
    spf_setup_db_id      NUMBER(10, 0)    NOT NULL,
    spf_setup_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mloc_ulist_sp_ff__32AB8735 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spf_setup_db_site, spf_setup_db_id, spf_setup_id)
) 
;



-- 
-- TABLE: mloc_ulist_sp_time 
--

CREATE TABLE mloc_ulist_sp_time(
    ord_list_db_site     CHAR(16)         NOT NULL,
    ord_list_db_id       NUMBER(10, 0)    NOT NULL,
    ord_list_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    channel_number       NUMBER(10, 0)    NOT NULL,
    spt_setup_db_site    CHAR(16)         NOT NULL,
    spt_setup_db_id      NUMBER(10, 0)    NOT NULL,
    spt_setup_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__mloc_ulist_sp_ti__3493CFA7 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spt_setup_db_site, spt_setup_db_id, spt_setup_id)
) 
;



-- 
-- TABLE: mloc_unit_list 
--

CREATE TABLE mloc_unit_list(
    ord_list_db_site    CHAR(16)         NOT NULL,
    ord_list_db_id      NUMBER(10, 0)    NOT NULL,
    ord_list_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    channel_number      NUMBER(10, 0)    NOT NULL,
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__mloc_unit_list__59063A47 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
) 
;



-- 
-- TABLE: model_blob_data 
--

CREATE TABLE model_blob_data(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    model_db_site       CHAR(16)         NOT NULL,
    model_db_id         NUMBER(10, 0)    NOT NULL,
    model_id            NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_blob_data__1D7B6025 PRIMARY KEY (db_site, db_id, model_db_site, model_db_id, model_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: model_child 
--

CREATE TABLE model_child(
    model_db_site          CHAR(16)         NOT NULL,
    model_db_id            NUMBER(10, 0)    NOT NULL,
    model_id               NUMBER(10, 0)    NOT NULL,
    child_model_db_site    CHAR(16)         NOT NULL,
    child_model_db_id      NUMBER(10, 0)    NOT NULL,
    child_model_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq           NUMBER(10, 0)    NOT NULL,
    gmt_last_updated       TIMESTAMP,
    last_upd_db_site       CHAR(16),
    last_upd_db_id         NUMBER(10, 0),
    rstat_type_code        NUMBER(5, 0),
    CONSTRAINT PK__model_child__32E0915F PRIMARY KEY (model_db_site, model_db_id, model_id, child_model_db_site, child_model_db_id, child_model_id)
) 
;



-- 
-- TABLE: model_chr_data 
--

CREATE TABLE model_chr_data(
    model_db_site       CHAR(16)         NOT NULL,
    model_db_id         NUMBER(10, 0)    NOT NULL,
    model_id            NUMBER(10, 0)    NOT NULL,
    ac_db_site          CHAR(16)         NOT NULL,
    ac_db_id            NUMBER(10, 0)    NOT NULL,
    ac_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_chr_data__3A81B327 PRIMARY KEY (model_db_site, model_db_id, model_id, ac_db_site, ac_db_id, ac_type_code)
) 
;



-- 
-- TABLE: model_function 
--

CREATE TABLE model_function(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    model_db_site       CHAR(16)         NOT NULL,
    model_db_id         NUMBER(10, 0)    NOT NULL,
    model_id            NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    gmt_created         TIMESTAMP,
    cr_loc_hr_delta     NUMBER(5, 0),
    cr_loc_min_delta    NUMBER(5, 0),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_function__345EC57D PRIMARY KEY (db_site, db_id, model_db_site, model_db_id, model_id, ordering_seq)
) 
;



-- 
-- TABLE: model_hyp_ev_func 
--

CREATE TABLE model_hyp_ev_func(
    mod_hyp_db_site     CHAR(16)         NOT NULL,
    mod_hyp_db_id       NUMBER(10, 0)    NOT NULL,
    mod_hyp_event_id    NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    model_db_site       CHAR(16)         NOT NULL,
    model_db_id         NUMBER(10, 0)    NOT NULL,
    model_id            NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_hyp_ev_fun__69C6B1F5 PRIMARY KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id, db_site, db_id, model_db_site, model_db_id, model_id, ordering_seq)
) 
;



-- 
-- TABLE: model_hyp_ev_link 
--

CREATE TABLE model_hyp_ev_link(
    mod_hyp_db_site     CHAR(16)            NOT NULL,
    mod_hyp_db_id       NUMBER(10, 0)       NOT NULL,
    mod_hyp_event_id    NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_hyp_ev_lin__56B3DD81 PRIMARY KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: model_hyp_ev_num_data 
--

CREATE TABLE model_hyp_ev_num_data(
    mod_hyp_db_site     CHAR(16)            NOT NULL,
    mod_hyp_db_id       NUMBER(10, 0)       NOT NULL,
    mod_hyp_event_id    NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_hyp_ev_num__603D47BB PRIMARY KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: model_hyp_event 
--

CREATE TABLE model_hyp_event(
    mod_hyp_db_site           CHAR(16)         NOT NULL,
    mod_hyp_db_id             NUMBER(10, 0)    NOT NULL,
    mod_hyp_event_id          NUMBER(10, 0)    NOT NULL,
    model_db_site             CHAR(16)         NOT NULL,
    model_db_id               NUMBER(10, 0)    NOT NULL,
    model_id                  NUMBER(10, 0)    NOT NULL,
    ev_db_site                CHAR(16)         NOT NULL,
    ev_db_id                  NUMBER(10, 0)    NOT NULL,
    event_type_code           NUMBER(10, 0)    NOT NULL,
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP,
    cr_loc_hr_delta           NUMBER(5, 0),
    cr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    associated_blob           BLOB,
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__model_hyp_event__4D2A7347 PRIMARY KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
) 
;



-- 
-- TABLE: model_num_data 
--

CREATE TABLE model_num_data(
    model_db_site       CHAR(16)            NOT NULL,
    model_db_id         NUMBER(10, 0)       NOT NULL,
    model_id            NUMBER(10, 0)       NOT NULL,
    an_db_site          CHAR(16)            NOT NULL,
    an_db_id            NUMBER(10, 0)       NOT NULL,
    an_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model_num_data__38996AB5 PRIMARY KEY (model_db_site, model_db_id, model_id, an_db_site, an_db_id, an_type_code)
) 
;



-- 
-- TABLE: model_rec_blob 
--

CREATE TABLE model_rec_blob(
    model_db_site         CHAR(16)         NOT NULL,
    model_db_id           NUMBER(10, 0)    NOT NULL,
    model_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    bd_db_site            CHAR(16)         NOT NULL,
    bd_db_id              NUMBER(10, 0)    NOT NULL,
    bd_type_code          NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_file_name       VARCHAR2(254),
    image_data            BLOB             NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__model_rec_blob__3429BB53 PRIMARY KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: model_rec_hyp_ev 
--

CREATE TABLE model_rec_hyp_ev(
    model_db_site         CHAR(16)         NOT NULL,
    model_db_id           NUMBER(10, 0)    NOT NULL,
    model_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    mod_hyp_db_site       CHAR(16)         NOT NULL,
    mod_hyp_db_id         NUMBER(10, 0)    NOT NULL,
    mod_hyp_event_id      NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__model_rec_hyp_ev__45544755 PRIMARY KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id, mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
) 
;



-- 
-- TABLE: model_rec_remark 
--

CREATE TABLE model_rec_remark(
    model_db_site         CHAR(16)         NOT NULL,
    model_db_id           NUMBER(10, 0)    NOT NULL,
    model_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    remark_text           VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__model_rec_remark__2AA05119 PRIMARY KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
;



-- 
-- TABLE: model_recomm 
--

CREATE TABLE model_recomm(
    model_db_site             CHAR(16)         NOT NULL,
    model_db_id               NUMBER(10, 0)    NOT NULL,
    model_id                  NUMBER(10, 0)    NOT NULL,
    gmt_recommendation        TIMESTAMP        NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__model_recomm__1F2E9E6D PRIMARY KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: model 
--

CREATE TABLE model(
    model_db_site       CHAR(16)         NOT NULL,
    model_db_id         NUMBER(10, 0)    NOT NULL,
    model_id            NUMBER(10, 0)    NOT NULL,
    as_db_site          CHAR(16)         NOT NULL,
    as_db_id            NUMBER(10, 0)    NOT NULL,
    as_type_code        NUMBER(10, 0)    NOT NULL,
    mf_db_site          CHAR(16),
    mf_db_id            NUMBER(10, 0),
    manuf_code          NUMBER(10, 0),
    segment_site        CHAR(16),
    segment_id          NUMBER(10, 0),
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__model__30F848ED PRIMARY KEY (model_db_site, model_db_id, model_id)
) 
;



-- 
-- TABLE: network_type 
--

CREATE TABLE network_type(
    nt_db_site          CHAR(16)         NOT NULL,
    nt_db_id            NUMBER(10, 0)    NOT NULL,
    nt_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__network_type__43D61337 PRIMARY KEY (nt_db_site, nt_db_id, nt_type_code)
) 
;



-- 
-- TABLE: network 
--

CREATE TABLE network(
    network_db_site     CHAR(16)         NOT NULL,
    network_db_id       NUMBER(10, 0)    NOT NULL,
    network_id          NUMBER(10, 0)    NOT NULL,
    nt_db_site          CHAR(16)         NOT NULL,
    nt_db_id            NUMBER(10, 0)    NOT NULL,
    nt_type_code        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__network__73852659 PRIMARY KEY (network_db_site, network_db_id, network_id)
) 
;



-- 
-- TABLE: num_al_assoc_reg 
--

CREATE TABLE num_al_assoc_reg(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    al_db_site          CHAR(16)         NOT NULL,
    al_db_id            NUMBER(10, 0)    NOT NULL,
    al_type_code        NUMBER(10, 0)    NOT NULL,
    alarm_db_site       CHAR(16)         NOT NULL,
    alarm_db_id         NUMBER(10, 0)    NOT NULL,
    al_meas_loc_site    CHAR(16)         NOT NULL,
    al_meas_loc_id      NUMBER(10, 0)    NOT NULL,
    al_ordering_seq     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__num_al_assoc_reg__787EE5A0 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code, al_db_site, al_db_id, al_type_code, alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
) 
;



-- 
-- TABLE: num_al_reg_blob_data 
--

CREATE TABLE num_al_reg_blob_data(
    alarm_db_site       CHAR(16)         NOT NULL,
    alarm_db_id         NUMBER(10, 0)    NOT NULL,
    al_meas_loc_site    CHAR(16)         NOT NULL,
    al_meas_loc_id      NUMBER(10, 0)    NOT NULL,
    al_ordering_seq     NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__num_al_reg_blob___278EDA44 PRIMARY KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: num_al_reg_chr_data 
--

CREATE TABLE num_al_reg_chr_data(
    alarm_db_site       CHAR(16)         NOT NULL,
    alarm_db_id         NUMBER(10, 0)    NOT NULL,
    al_meas_loc_site    CHAR(16)         NOT NULL,
    al_meas_loc_id      NUMBER(10, 0)    NOT NULL,
    al_ordering_seq     NUMBER(10, 0)    NOT NULL,
    ec_db_site          CHAR(16)         NOT NULL,
    ec_db_id            NUMBER(10, 0)    NOT NULL,
    ec_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__num_al_reg_chr_d__25A691D2 PRIMARY KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq, ec_db_site, ec_db_id, ec_type_code)
) 
;



-- 
-- TABLE: num_al_reg_num_data 
--

CREATE TABLE num_al_reg_num_data(
    alarm_db_site       CHAR(16)            NOT NULL,
    alarm_db_id         NUMBER(10, 0)       NOT NULL,
    al_meas_loc_site    CHAR(16)            NOT NULL,
    al_meas_loc_id      NUMBER(10, 0)       NOT NULL,
    al_ordering_seq     NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__num_al_reg_num_d__23BE4960 PRIMARY KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: num_alarm_reg 
--

CREATE TABLE num_alarm_reg(
    alarm_db_site       CHAR(16)            NOT NULL,
    alarm_db_id         NUMBER(10, 0)       NOT NULL,
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    ordering_seq        NUMBER(10, 0)       NOT NULL,
    ml_db_site          CHAR(16),
    ml_db_id            NUMBER(10, 0),
    ml_type_code        NUMBER(10, 0),
    mc_db_site          CHAR(16),
    mc_db_id            NUMBER(10, 0),
    mc_type_code        NUMBER(10, 0),
    al_db_site          CHAR(16)            NOT NULL,
    al_db_id            NUMBER(10, 0)       NOT NULL,
    al_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    gmt_alarm_start     TIMESTAMP                NOT NULL,
    st_loc_hr_delta     NUMBER(5, 0),
    st_loc_min_delta    NUMBER(5, 0),
    min_amplitude       DOUBLE PRECISION    NOT NULL,
    max_amplitude       DOUBLE PRECISION    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__num_alarm_reg__6D0D32F4 PRIMARY KEY (alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
) 
;



-- 
-- TABLE: ol_completed_work 
--

CREATE TABLE ol_completed_work(
    ord_list_db_site          CHAR(16)         NOT NULL,
    ord_list_db_id            NUMBER(10, 0)    NOT NULL,
    ord_list_id               NUMBER(10, 0)    NOT NULL,
    task_db_site              CHAR(16)         NOT NULL,
    task_db_id                NUMBER(10, 0)    NOT NULL,
    task_type_code            NUMBER(10, 0)    NOT NULL,
    gmt_completed             TIMESTAMP        NOT NULL,
    cp_loc_hr_delta           NUMBER(5, 0),
    cp_loc_min_delta          NUMBER(5, 0),
    gmt_started               TIMESTAMP,
    st_loc_hr_delta           NUMBER(5, 0),
    st_loc_min_delta          NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    work_order_db_site        CHAR(16),
    work_order_db_id          NUMBER(10, 0),
    work_order_id             NUMBER(10, 0),
    work_ord_step_seq         NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__ol_completed_wor__035179CE PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, task_db_site, task_db_id, task_type_code, gmt_completed)
) 
;



-- 
-- TABLE: ol_rec_remark 
--

CREATE TABLE ol_rec_remark(
    ord_list_db_site      CHAR(16)         NOT NULL,
    ord_list_db_id        NUMBER(10, 0)    NOT NULL,
    ord_list_id           NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    remark_text           VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__ol_rec_remark__24E777C3 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
;



-- 
-- TABLE: ol_recommendation 
--

CREATE TABLE ol_recommendation(
    ord_list_db_site          CHAR(16)         NOT NULL,
    ord_list_db_id            NUMBER(10, 0)    NOT NULL,
    ord_list_id               NUMBER(10, 0)    NOT NULL,
    gmt_recommendation        TIMESTAMP        NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__ol_recommendatio__1975C517 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: ol_req_for_work 
--

CREATE TABLE ol_req_for_work(
    req_db_site          CHAR(16)         NOT NULL,
    req_db_id            NUMBER(10, 0)    NOT NULL,
    request_id           NUMBER(10, 0)    NOT NULL,
    ord_list_db_site     CHAR(16)         NOT NULL,
    ord_list_db_id       NUMBER(10, 0)    NOT NULL,
    ord_list_id          NUMBER(10, 0)    NOT NULL,
    wm_type_db_site      CHAR(16)         NOT NULL,
    wm_type_db_id        NUMBER(10, 0)    NOT NULL,
    wm_type_code         NUMBER(10, 0)    NOT NULL,
    task_db_site         CHAR(16)         NOT NULL,
    task_db_id           NUMBER(10, 0)    NOT NULL,
    task_type_code       NUMBER(10, 0)    NOT NULL,
    auto_approve         CHAR(1)          
                         CONSTRAINT CK__ol_req_fo__auto___5B438874 CHECK (auto_approve IN ('N','Y')),
    start_before_gmt     TIMESTAMP,
    end_before_gmt       TIMESTAMP,
    start_after_gmt      TIMESTAMP,
    end_after_gmt        TIMESTAMP,
    repeat_interval      NUMBER(10, 0),
    int_eu_db_site       CHAR(16),
    int_eu_db_id         NUMBER(10, 0),
    int_eu_type_code     NUMBER(10, 0),
    to_agent_site        CHAR(16),
    to_agent_id          NUMBER(10, 0),
    sol_pack_db_site     CHAR(16),
    sol_pack_db_id       NUMBER(10, 0),
    sol_pack_id          NUMBER(10, 0),
    rec_ord_db_site      CHAR(16),
    rec_ord_db_id        NUMBER(10, 0),
    rec_ord_list_id      NUMBER(10, 0),
    rec_gmt_recomm       TIMESTAMP,
    rec_by_agent_site    CHAR(16),
    rec_by_agent_id      NUMBER(10, 0),
    work_req_db_site     CHAR(16),
    work_req_db_id       NUMBER(10, 0),
    work_req_id          NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__ol_req_for_work__5A4F643B PRIMARY KEY (req_db_site, req_db_id, request_id)
) 
;



-- 
-- TABLE: ol_sol_pack 
--

CREATE TABLE ol_sol_pack(
    ord_list_db_site    CHAR(16)         NOT NULL,
    ord_list_db_id      NUMBER(10, 0)    NOT NULL,
    ord_list_id         NUMBER(10, 0)    NOT NULL,
    sol_pack_db_site    CHAR(16)         NOT NULL,
    sol_pack_db_id      NUMBER(10, 0)    NOT NULL,
    sol_pack_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ol_sol_pack__0CDAE408 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
;



-- 
-- TABLE: olist_blob_data 
--

CREATE TABLE olist_blob_data(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    ord_list_db_site    CHAR(16)         NOT NULL,
    ord_list_db_id      NUMBER(10, 0)    NOT NULL,
    ord_list_id         NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__olist_blob_data__2334397B PRIMARY KEY (db_site, db_id, ord_list_db_site, ord_list_db_id, ord_list_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: ordered_list 
--

CREATE TABLE ordered_list(
    ord_list_db_site    CHAR(16)         NOT NULL,
    ord_list_db_id      NUMBER(10, 0)    NOT NULL,
    ord_list_id         NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ordered_list__5535A963 PRIMARY KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
) 
;



-- 
-- TABLE: post_scaling_type 
--

CREATE TABLE post_scaling_type(
    pst_sc_db_site      CHAR(16)         NOT NULL,
    pst_sc_db_id        NUMBER(10, 0)    NOT NULL,
    pst_sc_type_code    NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__post_scaling_typ__74AE54BC PRIMARY KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
) 
;



-- 
-- TABLE: priority_level_type 
--

CREATE TABLE priority_level_type(
    priority_lev_db_site      CHAR(16)         NOT NULL,
    priority_lev_db_id        NUMBER(10, 0)    NOT NULL,
    priority_lev_type_code    NUMBER(10, 0)    NOT NULL,
    priority_scale            NUMBER(10, 0)    NOT NULL,
    name                      VARCHAR2(254)    NOT NULL,
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__priority_level_t__625A9A57 PRIMARY KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
) 
;



-- 
-- TABLE: purchase_cond_type 
--

CREATE TABLE purchase_cond_type(
    pc_db_site          CHAR(16)         NOT NULL,
    pc_db_id            NUMBER(10, 0)    NOT NULL,
    pc_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__purchase_cond_ty__145C0A3F PRIMARY KEY (pc_db_site, pc_db_id, pc_type_code)
) 
;



-- 
-- TABLE: ref_unit_type 
--

CREATE TABLE ref_unit_type(
    ru_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    physics_descr       VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__ref_unit_type__1BFD2C07 PRIMARY KEY (ru_type_code)
) 
;



-- 
-- TABLE: request 
--

CREATE TABLE request(
    req_db_site               CHAR(16)         NOT NULL,
    req_db_id                 NUMBER(10, 0)    NOT NULL,
    request_id                NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP        NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__request__52AE4273 PRIMARY KEY (req_db_site, req_db_id, request_id)
) 
;



-- 
-- TABLE: row_status_type 
--

CREATE TABLE row_status_type(
    rstat_type_cod      NUMBER(5, 0)     NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__row_status_type__7C8480AE PRIMARY KEY (rstat_type_cod)
) 
;



-- 
-- TABLE: sample_cdata_type 
--

CREATE TABLE sample_cdata_type(
    schr_db_site        CHAR(16)         NOT NULL,
    schr_db_id          NUMBER(10, 0)    NOT NULL,
    schr_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sample_cdata_typ__4B7734FF PRIMARY KEY (schr_db_site, schr_db_id, schr_type_code)
) 
;



-- 
-- TABLE: sample_chr_data 
--

CREATE TABLE sample_chr_data(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    sample_order_seq    NUMBER(10, 0)    NOT NULL,
    schr_db_site        CHAR(16)         NOT NULL,
    schr_db_id          NUMBER(10, 0)    NOT NULL,
    schr_type_code      NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sample_chr_data__04AFB25B PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, schr_db_site, schr_db_id, schr_type_code)
) 
;



-- 
-- TABLE: sample_ndata_type 
--

CREATE TABLE sample_ndata_type(
    snum_db_site        CHAR(16)         NOT NULL,
    snum_db_id          NUMBER(10, 0)    NOT NULL,
    snum_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sample_ndata_typ__498EEC8D PRIMARY KEY (snum_db_site, snum_db_id, snum_type_code)
) 
;



-- 
-- TABLE: sample_num_data 
--

CREATE TABLE sample_num_data(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    gmt_event           TIMESTAMP                NOT NULL,
    sample_order_seq    NUMBER(10, 0)       NOT NULL,
    snum_db_site        CHAR(16)            NOT NULL,
    snum_db_id          NUMBER(10, 0)       NOT NULL,
    snum_type_code      NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sample_num_data__02C769E9 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, snum_db_site, snum_db_id, snum_type_code)
) 
;



-- 
-- TABLE: sample_remark 
--

CREATE TABLE sample_remark(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    sample_order_seq    NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    remark_text         VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sample_remark__0697FACD PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, ordering_seq)
) 
;



-- 
-- TABLE: sample_test_type 
--

CREATE TABLE sample_test_type(
    stt_db_site         CHAR(16)         NOT NULL,
    stt_db_id           NUMBER(10, 0)    NOT NULL,
    stt_code            NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sample_test_type__47A6A41B PRIMARY KEY (stt_db_site, stt_db_id, stt_code)
) 
;



-- 
-- TABLE: segment_blob_data 
--

CREATE TABLE segment_blob_data(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_blob_dat__1B9317B3 PRIMARY KEY (db_site, db_id, segment_site, segment_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: segment_child 
--

CREATE TABLE segment_child(
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    child_sg_site       CHAR(16)         NOT NULL,
    child_sg_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_child__1A14E395 PRIMARY KEY (segment_site, segment_id, child_sg_site, child_sg_id)
) 
;



-- 
-- TABLE: segment_chr_data 
--

CREATE TABLE segment_chr_data(
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    sc_db_site          CHAR(16)         NOT NULL,
    sc_db_id            NUMBER(10, 0)    NOT NULL,
    sc_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_chr_data__276EDEB3 PRIMARY KEY (segment_site, segment_id, sc_db_site, sc_db_id, sc_type_code)
) 
;



-- 
-- TABLE: segment_event_link 
--

CREATE TABLE segment_event_link(
    segment_site         CHAR(16)         NOT NULL,
    segment_id           NUMBER(10, 0)    NOT NULL,
    ev_db_site           CHAR(16)         NOT NULL,
    ev_db_id             NUMBER(10, 0)    NOT NULL,
    event_type_code      NUMBER(10, 0)    NOT NULL,
    gmt_event_start      TIMESTAMP        NOT NULL,
    caused_sg_site       CHAR(16)         NOT NULL,
    caused_sg_id         NUMBER(10, 0)    NOT NULL,
    caused_ev_db_site    CHAR(16)         NOT NULL,
    caused_ev_db_id      NUMBER(10, 0)    NOT NULL,
    caused_ev_code       NUMBER(10, 0)    NOT NULL,
    caused_gmt           TIMESTAMP        NOT NULL,
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__segment_event_li__41B8C09B PRIMARY KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, caused_sg_site, caused_sg_id, caused_ev_db_site, caused_ev_db_id, caused_ev_code, caused_gmt)
) 
;



-- 
-- TABLE: segment_event 
--

CREATE TABLE segment_event(
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    gmt_event_stop      TIMESTAMP,
    ev_loc_hr_delta     NUMBER(5, 0),
    ev_loc_min_delta    NUMBER(5, 0),
    gmt_stored          TIMESTAMP,
    st_loc_hr_delta     NUMBER(5, 0),
    st_loc_min_delta    NUMBER(5, 0),
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_event__2B3F6F97 PRIMARY KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: segment_function 
--

CREATE TABLE segment_function(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    gmt_created         TIMESTAMP,
    cr_loc_hr_delta     NUMBER(5, 0),
    cr_loc_min_delta    NUMBER(5, 0),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_function__2CBDA3B5 PRIMARY KEY (db_site, db_id, segment_site, segment_id, ordering_seq)
) 
;



-- 
-- TABLE: segment_geo_position 
--

CREATE TABLE segment_geo_position(
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    geo_db_site         CHAR(16)         NOT NULL,
    geo_db_id           NUMBER(10, 0)    NOT NULL,
    geo_position_id     NUMBER(10, 0)    NOT NULL,
    gmt_at_location     TIMESTAMP        NOT NULL,
    loc_hr_delta        NUMBER(5, 0),
    loc_min_delta       NUMBER(5, 0),
    duration            NUMBER(10, 0)    NOT NULL,
    dur_eu_db_site      CHAR(16)         NOT NULL,
    dur_eu_db_id        NUMBER(10, 0)    NOT NULL,
    dur_eu_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_geo_posi__38B96646 PRIMARY KEY (segment_site, segment_id, geo_db_site, geo_db_id, geo_position_id, gmt_at_location)
) 
;



-- 
-- TABLE: segment_health 
--

CREATE TABLE segment_health(
    segment_site            CHAR(16)            NOT NULL,
    segment_id              NUMBER(10, 0)       NOT NULL,
    gmt_assessment          TIMESTAMP                NOT NULL,
    by_agent_site           CHAR(16)            NOT NULL,
    by_agent_id             NUMBER(10, 0)       NOT NULL,
    loc_hr_delta            NUMBER(5, 0),
    loc_min_delta           NUMBER(5, 0),
    health_lev_db_site      CHAR(16)            NOT NULL,
    health_lev_db_id        NUMBER(10, 0)       NOT NULL,
    health_lev_type_code    NUMBER(10, 0)       NOT NULL,
    health_scale_precise    DOUBLE PRECISION,
    likelihood_prob         DOUBLE PRECISION,
    gmt_created             TIMESTAMP,
    cr_loc_hr_delta         NUMBER(5, 0),
    cr_loc_min_delta        NUMBER(5, 0),
    ch_patt_db_site         CHAR(16),
    ch_patt_db_id           NUMBER(10, 0),
    ch_patt_type_code       NUMBER(10, 0),
    gmt_audited             TIMESTAMP,
    aud_loc_hr_delta        NUMBER(5, 0),
    aud_loc_min_delta       NUMBER(5, 0),
    aud_quality_code        NUMBER(5, 0),
    aud_by_org_asite        CHAR(16),
    aud_by_agent_id         NUMBER(10, 0),
    name                    VARCHAR2(254),
    user_tag_ident          VARCHAR2(254),
    gmt_last_updated        TIMESTAMP,
    last_upd_db_site        CHAR(16),
    last_upd_db_id          NUMBER(10, 0),
    rstat_type_code         NUMBER(5, 0),
    CONSTRAINT PK__segment_health__0662F0A3 PRIMARY KEY (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: segment_num_data 
--

CREATE TABLE segment_num_data(
    segment_site        CHAR(16)            NOT NULL,
    segment_id          NUMBER(10, 0)       NOT NULL,
    sn_db_site          CHAR(16)            NOT NULL,
    sn_db_id            NUMBER(10, 0)       NOT NULL,
    sn_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_num_data__25869641 PRIMARY KEY (segment_site, segment_id, sn_db_site, sn_db_id, sn_type_code)
) 
;



-- 
-- TABLE: segment_type_child 
--

CREATE TABLE segment_type_child(
    sg_db_site            CHAR(16)         NOT NULL,
    sg_db_id              NUMBER(10, 0)    NOT NULL,
    sg_type_code          NUMBER(10, 0)    NOT NULL,
    child_sg_db_site      CHAR(16)         NOT NULL,
    child_sg_db_id        NUMBER(10, 0)    NOT NULL,
    child_sg_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__segment_type_chi__0F975522 PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code, child_sg_db_site, child_sg_db_id, child_sg_type_code)
) 
;



-- 
-- TABLE: segment_type 
--

CREATE TABLE segment_type(
    sg_db_site          CHAR(16)         NOT NULL,
    sg_db_id            NUMBER(10, 0)    NOT NULL,
    sg_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    default_mnemonic    VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment_type__0DAF0CB0 PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code)
) 
;



-- 
-- TABLE: segment 
--

CREATE TABLE segment(
    segment_site        CHAR(16)          NOT NULL,
    segment_id          NUMBER(10, 0)     NOT NULL,
    sg_db_site          CHAR(16)          NOT NULL,
    sg_db_id            NUMBER(10, 0)     NOT NULL,
    sg_type_code        NUMBER(10, 0)     NOT NULL,
    segment_group_yn    CHAR(1)           NOT NULL
                        CONSTRAINT CK__segment__segment__1273C1CD CHECK (segment_group_yn IN ('N','Y')),
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    long_description    VARCHAR2(4000),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__segment__117F9D94 PRIMARY KEY (segment_site, segment_id)
) 
;



-- 
-- TABLE: severity_level_type 
--

CREATE TABLE severity_level_type(
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    severity_scale            NUMBER(10, 0)    NOT NULL,
    name                      VARCHAR2(254)    NOT NULL,
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__severity_level_t__5E8A0973 PRIMARY KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
) 
;



-- 
-- TABLE: sg_as_event_type 
--

CREATE TABLE sg_as_event_type(
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_as_event_type__29572725 PRIMARY KEY (ev_db_site, ev_db_id, event_type_code)
) 
;



-- 
-- TABLE: sg_chr_dat_type 
--

CREATE TABLE sg_chr_dat_type(
    sc_db_site          CHAR(16)         NOT NULL,
    sc_db_id            NUMBER(10, 0)    NOT NULL,
    sc_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    default_ru_type     NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_chr_dat_type__239E4DCF PRIMARY KEY (sc_db_site, sc_db_id, sc_type_code)
) 
;



-- 
-- TABLE: sg_completed_work 
--

CREATE TABLE sg_completed_work(
    segment_site              CHAR(16)         NOT NULL,
    segment_id                NUMBER(10, 0)    NOT NULL,
    task_db_site              CHAR(16)         NOT NULL,
    task_db_id                NUMBER(10, 0)    NOT NULL,
    task_type_code            NUMBER(10, 0)    NOT NULL,
    gmt_completed             TIMESTAMP        NOT NULL,
    cp_loc_hr_delta           NUMBER(5, 0),
    cp_loc_min_delta          NUMBER(5, 0),
    gmt_started               TIMESTAMP,
    st_loc_hr_delta           NUMBER(5, 0),
    st_loc_min_delta          NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    work_order_db_site        CHAR(16),
    work_order_db_id          NUMBER(10, 0),
    work_order_id             NUMBER(10, 0),
    work_ord_step_seq         NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_completed_wor__7F80E8EA PRIMARY KEY (segment_site, segment_id, task_db_site, task_db_id, task_type_code, gmt_completed)
) 
;



-- 
-- TABLE: sg_ev_meas_event 
--

CREATE TABLE sg_ev_meas_event(
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_ev_meas_event__3DE82FB7 PRIMARY KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: sg_ev_sg_func_link 
--

CREATE TABLE sg_ev_sg_func_link(
    ev_segment_site     CHAR(16)         NOT NULL,
    ev_segment_id       NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    fn_db_site          CHAR(16)         NOT NULL,
    fn_db_id            NUMBER(10, 0)    NOT NULL,
    fn_segment_site     CHAR(16)         NOT NULL,
    fn_segment_id       NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_ev_sg_func_li__36470DEF PRIMARY KEY (ev_segment_site, ev_segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, fn_db_site, fn_db_id, fn_segment_site, fn_segment_id, ordering_seq)
) 
;



-- 
-- TABLE: sg_event_chr_data 
--

CREATE TABLE sg_event_chr_data(
    segment_site        CHAR(16)            NOT NULL,
    segment_id          NUMBER(10, 0)       NOT NULL,
    ev_db_site          CHAR(16)            NOT NULL,
    ev_db_id            NUMBER(10, 0)       NOT NULL,
    event_type_code     NUMBER(10, 0)       NOT NULL,
    gmt_event_start     TIMESTAMP                NOT NULL,
    ec_db_site          CHAR(16)            NOT NULL,
    ec_db_id            NUMBER(10, 0)       NOT NULL,
    ec_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_event_chr_dat__3E723F9C PRIMARY KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, ec_db_site, ec_db_id, ec_type_code)
) 
;



-- 
-- TABLE: sg_event_num_data 
--

CREATE TABLE sg_event_num_data(
    segment_site        CHAR(16)            NOT NULL,
    segment_id          NUMBER(10, 0)       NOT NULL,
    ev_db_site          CHAR(16)            NOT NULL,
    ev_db_id            NUMBER(10, 0)       NOT NULL,
    event_type_code     NUMBER(10, 0)       NOT NULL,
    gmt_event_start     TIMESTAMP                NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_event_num_dat__3A179ED3 PRIMARY KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: sg_health_sg_event 
--

CREATE TABLE sg_health_sg_event(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_assessment        TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ev_sg_site            CHAR(16)         NOT NULL,
    ev_sg_id              NUMBER(10, 0)    NOT NULL,
    ev_db_site            CHAR(16)         NOT NULL,
    ev_db_id              NUMBER(10, 0)    NOT NULL,
    event_type_code       NUMBER(10, 0)    NOT NULL,
    gmt_event_start       TIMESTAMP        NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_by_org_asite    CHAR(16),
    assoc_by_agent_id     NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_health_sg_eve__0A338187 PRIMARY KEY (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id, ev_sg_site, ev_sg_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: sg_health_sg_prop_ev 
--

CREATE TABLE sg_health_sg_prop_ev(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_assessment        TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    sg_prop_db_site       CHAR(16)         NOT NULL,
    sg_prop_db_id         NUMBER(10, 0)    NOT NULL,
    sg_prop_event_id      NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_by_org_asite    CHAR(16),
    assoc_by_agent_id     NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_health_sg_pro__0E04126B PRIMARY KEY (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id, sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
) 
;



-- 
-- TABLE: sg_hyp_ev_amb_set 
--

CREATE TABLE sg_hyp_ev_amb_set(
    sg_hyp_amb_set_db_site    CHAR(16)         NOT NULL,
    sg_hyp_amb_set_db_id      NUMBER(10, 0)    NOT NULL,
    sg_hyp_amb_set_id         NUMBER(10, 0)    NOT NULL,
    segment_site              CHAR(16)         NOT NULL,
    segment_id                NUMBER(10, 0)    NOT NULL,
    amb_set_db_site           CHAR(16)         NOT NULL,
    amb_set_db_id             NUMBER(10, 0)    NOT NULL,
    amb_set_type_code         NUMBER(10, 0)    NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    user_tag_ident            VARCHAR2(254),
    name                      VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_hyp_ev_amb_se__1A34DF26 PRIMARY KEY (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id)
) 
;



-- 
-- TABLE: sg_hyp_ev_log_conn 
--

CREATE TABLE sg_hyp_ev_log_conn(
    sg_hyp_amb_set_db_site    CHAR(16)            NOT NULL,
    sg_hyp_amb_set_db_id      NUMBER(10, 0)       NOT NULL,
    sg_hyp_amb_set_id         NUMBER(10, 0)       NOT NULL,
    log_conn_id               NUMBER(10, 0)       NOT NULL,
    lc_db_site                CHAR(16)            NOT NULL,
    lc_db_id                  NUMBER(10, 0)       NOT NULL,
    lc_type_code              NUMBER(10, 0)       NOT NULL,
    sg_hyp_db_site            CHAR(16),
    sg_hyp_db_id              NUMBER(10, 0),
    sg_hyp_event_id           NUMBER(10, 0),
    par_log_conn_id           NUMBER(10, 0),
    likelihood_prob           DOUBLE PRECISION,
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_hyp_ev_log_co__1C1D2798 PRIMARY KEY (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id, log_conn_id)
) 
;



-- 
-- TABLE: sg_hyp_ev_num_data 
--

CREATE TABLE sg_hyp_ev_num_data(
    sg_hyp_db_site      CHAR(16)            NOT NULL,
    sg_hyp_db_id        NUMBER(10, 0)       NOT NULL,
    sg_hyp_event_id     NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_hyp_ev_num_da__589C25F3 PRIMARY KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: sg_hyp_ev_sg_func 
--

CREATE TABLE sg_hyp_ev_sg_func(
    sg_hyp_db_site      CHAR(16)         NOT NULL,
    sg_hyp_db_id        NUMBER(10, 0)    NOT NULL,
    sg_hyp_event_id     NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_hyp_ev_sg_fun__6225902D PRIMARY KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id, db_site, db_id, segment_site, segment_id, ordering_seq)
) 
;



-- 
-- TABLE: sg_hyp_event_link 
--

CREATE TABLE sg_hyp_event_link(
    sg_hyp_db_site      CHAR(16)            NOT NULL,
    sg_hyp_db_id        NUMBER(10, 0)       NOT NULL,
    sg_hyp_event_id     NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_hyp_event_lin__4F12BBB9 PRIMARY KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: sg_hyp_event 
--

CREATE TABLE sg_hyp_event(
    sg_hyp_db_site            CHAR(16)         NOT NULL,
    sg_hyp_db_id              NUMBER(10, 0)    NOT NULL,
    sg_hyp_event_id           NUMBER(10, 0)    NOT NULL,
    segment_site              CHAR(16)         NOT NULL,
    segment_id                NUMBER(10, 0)    NOT NULL,
    ev_db_site                CHAR(16)         NOT NULL,
    ev_db_id                  NUMBER(10, 0)    NOT NULL,
    event_type_code           NUMBER(10, 0)    NOT NULL,
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP,
    cr_loc_hr_delta           NUMBER(5, 0),
    cr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    associated_blob           BLOB,
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_hyp_event__4589517F PRIMARY KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
) 
;



-- 
-- TABLE: sg_network_connect 
--

CREATE TABLE sg_network_connect(
    network_db_site      CHAR(16)         NOT NULL,
    network_db_id        NUMBER(10, 0)    NOT NULL,
    network_id           NUMBER(10, 0)    NOT NULL,
    segment_site         CHAR(16)         NOT NULL,
    segment_id           NUMBER(10, 0)    NOT NULL,
    output_sg_site       CHAR(16)         NOT NULL,
    output_sg_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    gmt_stream_config    TIMESTAMP,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sg_network_conne__756D6ECB PRIMARY KEY (network_db_site, network_db_id, network_id, segment_site, segment_id, output_sg_site, output_sg_id, ordering_seq)
) 
;



-- 
-- TABLE: sg_num_dat_type 
--

CREATE TABLE sg_num_dat_type(
    sn_db_site          CHAR(16)         NOT NULL,
    sn_db_id            NUMBER(10, 0)    NOT NULL,
    sn_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    default_ru_type     NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_num_dat_type__21B6055D PRIMARY KEY (sn_db_site, sn_db_id, sn_type_code)
) 
;



-- 
-- TABLE: sg_pr_ev_amb_set_sg_ev 
--

CREATE TABLE sg_pr_ev_amb_set_sg_ev(
    sg_prop_amb_set_db_site    CHAR(16)         NOT NULL,
    sg_prop_amb_set_db_id      NUMBER(10, 0)    NOT NULL,
    sg_prop_amb_set_id         NUMBER(10, 0)    NOT NULL,
    segment_site               CHAR(16)         NOT NULL,
    segment_id                 NUMBER(10, 0)    NOT NULL,
    ev_db_site                 CHAR(16)         NOT NULL,
    ev_db_id                   NUMBER(10, 0)    NOT NULL,
    event_type_code            NUMBER(10, 0)    NOT NULL,
    gmt_event_start            TIMESTAMP        NOT NULL,
    gmt_last_updated           TIMESTAMP,
    last_upd_db_site           CHAR(16),
    last_upd_db_id             NUMBER(10, 0),
    rstat_type_code            NUMBER(5, 0),
    CONSTRAINT PK__sg_pr_ev_amb_set__21D600EE PRIMARY KEY (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id, segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: sg_prop_ev_amb_set 
--

CREATE TABLE sg_prop_ev_amb_set(
    sg_prop_amb_set_db_site    CHAR(16)         NOT NULL,
    sg_prop_amb_set_db_id      NUMBER(10, 0)    NOT NULL,
    sg_prop_amb_set_id         NUMBER(10, 0)    NOT NULL,
    segment_site               CHAR(16)         NOT NULL,
    segment_id                 NUMBER(10, 0)    NOT NULL,
    by_agent_site              CHAR(16)         NOT NULL,
    by_agent_id                NUMBER(10, 0)    NOT NULL,
    gmt_proposed               TIMESTAMP        NOT NULL,
    pr_loc_hr_delta            NUMBER(5, 0),
    pr_loc_min_delta           NUMBER(5, 0),
    est_gmt_start              TIMESTAMP,
    st_loc_hr_delta            NUMBER(5, 0),
    st_loc_min_delta           NUMBER(5, 0),
    est_gmt_occur_end          TIMESTAMP,
    end_loc_hr_delta           NUMBER(5, 0),
    end_loc_min_delta          NUMBER(5, 0),
    sg_hyp_amb_set_db_site     CHAR(16)         NOT NULL,
    sg_hyp_amb_set_db_id       NUMBER(10, 0)    NOT NULL,
    sg_hyp_amb_set_id          NUMBER(10, 0)    NOT NULL,
    amb_set_db_site            CHAR(16)         NOT NULL,
    amb_set_db_id              NUMBER(10, 0)    NOT NULL,
    amb_set_type_code          NUMBER(10, 0)    NOT NULL,
    user_tag_ident             VARCHAR2(254),
    name                       VARCHAR2(254),
    gmt_last_updated           TIMESTAMP,
    last_upd_db_site           CHAR(16),
    last_upd_db_id             NUMBER(10, 0),
    rstat_type_code            NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_amb_s__1E05700A PRIMARY KEY (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id)
) 
;



-- 
-- TABLE: sg_prop_ev_hyp_ev 
--

CREATE TABLE sg_prop_ev_hyp_ev(
    sg_prop_db_site     CHAR(16)         NOT NULL,
    sg_prop_db_id       NUMBER(10, 0)    NOT NULL,
    sg_prop_event_id    NUMBER(10, 0)    NOT NULL,
    sg_hypev_db_site    CHAR(16)         NOT NULL,
    sg_hypev_db_id      NUMBER(10, 0)    NOT NULL,
    sg_hyp_event_id     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_hyp_e__7AF13DF7 PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, sg_hypev_db_site, sg_hypev_db_id, sg_hyp_event_id)
) 
;



-- 
-- TABLE: sg_prop_ev_link 
--

CREATE TABLE sg_prop_ev_link(
    sg_prop_db_site     CHAR(16)            NOT NULL,
    sg_prop_db_id       NUMBER(10, 0)       NOT NULL,
    sg_prop_event_id    NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_link__6F7F8B4B PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: sg_prop_ev_log_conn 
--

CREATE TABLE sg_prop_ev_log_conn(
    sg_prop_amb_set_db_site    CHAR(16)            NOT NULL,
    sg_prop_amb_set_db_id      NUMBER(10, 0)       NOT NULL,
    sg_prop_amb_set_id         NUMBER(10, 0)       NOT NULL,
    log_conn_id                NUMBER(10, 0)       NOT NULL,
    segment_site               CHAR(16)            NOT NULL,
    segment_id                 NUMBER(10, 0)       NOT NULL,
    by_agent_site              CHAR(16)            NOT NULL,
    by_agent_id                NUMBER(10, 0)       NOT NULL,
    gmt_proposed               TIMESTAMP                NOT NULL,
    lc_db_site                 CHAR(16)            NOT NULL,
    lc_db_id                   NUMBER(10, 0)       NOT NULL,
    lc_type_code               NUMBER(10, 0)       NOT NULL,
    sg_prop_db_site            CHAR(16),
    sg_prop_db_id              NUMBER(10, 0),
    sg_prop_event_id           NUMBER(10, 0),
    par_log_conn_id            NUMBER(10, 0),
    likelihood_prob            DOUBLE PRECISION,
    gmt_last_updated           TIMESTAMP,
    last_upd_db_site           CHAR(16),
    last_upd_db_id             NUMBER(10, 0),
    rstat_type_code            NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_log_c__1FEDB87C PRIMARY KEY (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id, log_conn_id)
) 
;



-- 
-- TABLE: sg_prop_ev_meas_ev 
--

CREATE TABLE sg_prop_ev_meas_ev(
    sg_prop_db_site     CHAR(16)         NOT NULL,
    sg_prop_db_id       NUMBER(10, 0)    NOT NULL,
    sg_prop_event_id    NUMBER(10, 0)    NOT NULL,
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_meas___02925FBF PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: sg_prop_ev_ndat 
--

CREATE TABLE sg_prop_ev_ndat(
    sg_prop_db_site     CHAR(16)            NOT NULL,
    sg_prop_db_id       NUMBER(10, 0)       NOT NULL,
    sg_prop_event_id    NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_ndat__73501C2F PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: sg_prop_ev_sg_ev 
--

CREATE TABLE sg_prop_ev_sg_ev(
    sg_prop_db_site     CHAR(16)         NOT NULL,
    sg_prop_db_id       NUMBER(10, 0)    NOT NULL,
    sg_prop_event_id    NUMBER(10, 0)    NOT NULL,
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    ev_db_site          CHAR(16)         NOT NULL,
    ev_db_id            NUMBER(10, 0)    NOT NULL,
    event_type_code     NUMBER(10, 0)    NOT NULL,
    gmt_event_start     TIMESTAMP        NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_sg_ev__7EC1CEDB PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: sg_prop_ev_sg_func 
--

CREATE TABLE sg_prop_ev_sg_func(
    sg_prop_db_site     CHAR(16)         NOT NULL,
    sg_prop_db_id       NUMBER(10, 0)    NOT NULL,
    sg_prop_event_id    NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_prop_ev_sg_fu__7720AD13 PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, db_site, db_id, segment_site, segment_id, ordering_seq)
) 
;



-- 
-- TABLE: sg_proposed_event 
--

CREATE TABLE sg_proposed_event(
    sg_prop_db_site           CHAR(16)            NOT NULL,
    sg_prop_db_id             NUMBER(10, 0)       NOT NULL,
    sg_prop_event_id          NUMBER(10, 0)       NOT NULL,
    segment_site              CHAR(16)            NOT NULL,
    segment_id                NUMBER(10, 0)       NOT NULL,
    ev_db_site                CHAR(16)            NOT NULL,
    ev_db_id                  NUMBER(10, 0)       NOT NULL,
    event_type_code           NUMBER(10, 0)       NOT NULL,
    severity_lev_db_site      CHAR(16)            NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)       NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)       NOT NULL,
    gmt_proposed              TIMESTAMP,
    pr_loc_hr_delta           NUMBER(5, 0),
    pr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    likelihood_prob           DOUBLE PRECISION,
    est_gmt_start             TIMESTAMP,
    st_loc_hr_delta           NUMBER(5, 0),
    st_loc_min_delta          NUMBER(5, 0),
    est_gmt_occur_end         TIMESTAMP,
    end_loc_hr_delta          NUMBER(5, 0),
    end_loc_min_delta         NUMBER(5, 0),
    ch_patt_db_site           CHAR(16),
    ch_patt_db_id             NUMBER(10, 0),
    ch_patt_type_code         NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_audited               TIMESTAMP,
    aud_loc_hr_delta          NUMBER(5, 0),
    aud_loc_min_delta         NUMBER(5, 0),
    aud_quality_code          NUMBER(5, 0),
    aud_by_org_asite          CHAR(16),
    aud_by_agent_id           NUMBER(10, 0),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_proposed_even__6BAEFA67 PRIMARY KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
) 
;



-- 
-- TABLE: sg_rec_blob 
--

CREATE TABLE sg_rec_blob(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    bd_db_site            CHAR(16)         NOT NULL,
    bd_db_id              NUMBER(10, 0)    NOT NULL,
    bd_type_code          NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_file_name       VARCHAR2(254),
    image_data            BLOB             NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_blob__2C88998B PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: sg_rec_mevent 
--

CREATE TABLE sg_rec_mevent(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    meas_loc_site         CHAR(16)         NOT NULL,
    meas_loc_id           NUMBER(10, 0)    NOT NULL,
    gmt_event             TIMESTAMP        NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_mevent__4B0D20AB PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, meas_loc_site, meas_loc_id, gmt_event)
) 
;



-- 
-- TABLE: sg_rec_remark 
--

CREATE TABLE sg_rec_remark(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    remark_text           VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_remark__2116E6DF PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
;



-- 
-- TABLE: sg_rec_sg_event 
--

CREATE TABLE sg_rec_sg_event(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ev_sg_site            CHAR(16)         NOT NULL,
    ev_sg_id              NUMBER(10, 0)    NOT NULL,
    ev_db_site            CHAR(16)         NOT NULL,
    ev_db_id              NUMBER(10, 0)    NOT NULL,
    event_type_code       NUMBER(10, 0)    NOT NULL,
    gmt_event_start       TIMESTAMP        NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_sg_event__39E294A9 PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, ev_sg_site, ev_sg_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
;



-- 
-- TABLE: sg_rec_sg_health 
--

CREATE TABLE sg_rec_sg_health(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    hth_sg_site           CHAR(16)         NOT NULL,
    hth_sg_id             NUMBER(10, 0)    NOT NULL,
    hth_gmt_assess        TIMESTAMP        NOT NULL,
    hth_by_agent_site     CHAR(16)         NOT NULL,
    hth_by_agent_id       NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_sg_health__361203C5 PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, hth_sg_site, hth_sg_id, hth_gmt_assess, hth_by_agent_site, hth_by_agent_id)
) 
;



-- 
-- TABLE: sg_rec_sg_hyp_ev 
--

CREATE TABLE sg_rec_sg_hyp_ev(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    sg_hyp_db_site        CHAR(16)         NOT NULL,
    sg_hyp_db_id          NUMBER(10, 0)    NOT NULL,
    sg_hyp_event_id       NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_sg_hyp_ev__3DB3258D PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
) 
;



-- 
-- TABLE: sg_rec_sg_prop_ev 
--

CREATE TABLE sg_rec_sg_prop_ev(
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    sg_prop_db_site       CHAR(16)         NOT NULL,
    sg_prop_db_id         NUMBER(10, 0)    NOT NULL,
    sg_prop_event_id      NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_rec_sg_prop_e__473C8FC7 PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
) 
;



-- 
-- TABLE: sg_recommendation 
--

CREATE TABLE sg_recommendation(
    segment_site              CHAR(16)         NOT NULL,
    segment_id                NUMBER(10, 0)    NOT NULL,
    gmt_recommendation        TIMESTAMP        NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_recommendatio__15A53433 PRIMARY KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: sg_remaining_life 
--

CREATE TABLE sg_remaining_life(
    segment_site          CHAR(16)            NOT NULL,
    segment_id            NUMBER(10, 0)       NOT NULL,
    gmt_assessment        TIMESTAMP                NOT NULL,
    by_agent_site         CHAR(16)            NOT NULL,
    by_agent_id           NUMBER(10, 0)       NOT NULL,
    loc_hr_delta          NUMBER(5, 0),
    loc_min_delta         NUMBER(5, 0),
    est_remaining_life    DOUBLE PRECISION,
    erl_eu_db_site        CHAR(16),
    erl_eu_db_id          NUMBER(10, 0),
    erl_eu_type_code      NUMBER(10, 0),
    error_estimate        DOUBLE PRECISION,
    err_eu_db_site        CHAR(16),
    err_eu_db_id          NUMBER(10, 0),
    err_eu_type_code      NUMBER(10, 0),
    likelihood_prob       DOUBLE PRECISION,
    gmt_created           TIMESTAMP,
    cr_loc_hr_delta       NUMBER(5, 0),
    cr_loc_min_delta      NUMBER(5, 0),
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_remaining_lif__11D4A34F PRIMARY KEY (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: sg_req_for_work 
--

CREATE TABLE sg_req_for_work(
    req_db_site           CHAR(16)          NOT NULL,
    req_db_id             NUMBER(10, 0)     NOT NULL,
    request_id            NUMBER(10, 0)     NOT NULL,
    segment_site          CHAR(16)          NOT NULL,
    segment_id            NUMBER(10, 0)     NOT NULL,
    wm_type_db_site       CHAR(16)          NOT NULL,
    wm_type_db_id         NUMBER(10, 0)     NOT NULL,
    wm_type_code          NUMBER(10, 0)     NOT NULL,
    task_db_site          CHAR(16)          NOT NULL,
    task_db_id            NUMBER(10, 0)     NOT NULL,
    task_type_code        NUMBER(10, 0)     NOT NULL,
    auto_approve          CHAR(1)           
                          CONSTRAINT CK__sg_req_fo__auto___558AAF1E CHECK (auto_approve IN ('N','Y')),
    start_before_gmt      TIMESTAMP,
    end_before_gmt        TIMESTAMP,
    start_after_gmt       TIMESTAMP,
    end_after_gmt         TIMESTAMP,
    repeat_interval       NUMBER(10, 0),
    int_eu_db_site        CHAR(16),
    int_eu_db_id          NUMBER(10, 0),
    int_eu_type_code      NUMBER(10, 0),
    to_agent_site         CHAR(16),
    to_agent_id           NUMBER(10, 0),
    sol_pack_db_site      CHAR(16),
    sol_pack_db_id        NUMBER(10, 0),
    sol_pack_id           NUMBER(10, 0),
    rec_segment_site      CHAR(16),
    rec_segment_id        NUMBER(10, 0),
    rec_gmt_recomm        TIMESTAMP,
    rec_by_agent_site     CHAR(16),
    rec_by_agent_id       NUMBER(10, 0),
    work_req_db_site      CHAR(16),
    work_req_db_id        NUMBER(10, 0),
    work_req_id           NUMBER(10, 0),
    work_order_db_site    CHAR(16),
    work_order_db_id      NUMBER(10, 0),
    work_order_id         NUMBER(10, 0),
    name                  VARCHAR2(254),
    long_description      VARCHAR2(4000),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_req_for_work__54968AE5 PRIMARY KEY (req_db_site, req_db_id, request_id)
) 
;



-- 
-- TABLE: sg_sol_pack 
--

CREATE TABLE sg_sol_pack(
    segment_site        CHAR(16)         NOT NULL,
    segment_id          NUMBER(10, 0)    NOT NULL,
    sol_pack_db_site    CHAR(16)         NOT NULL,
    sol_pack_db_id      NUMBER(10, 0)    NOT NULL,
    sol_pack_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_sol_pack__0AF29B96 PRIMARY KEY (segment_site, segment_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
;



-- 
-- TABLE: sg_typ_hyp_ev_func 
--

CREATE TABLE sg_typ_hyp_ev_func(
    sgt_hyp_db_site     CHAR(16)         NOT NULL,
    sgt_hyp_db_id       NUMBER(10, 0)    NOT NULL,
    sgt_hyp_event_id    NUMBER(10, 0)    NOT NULL,
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    sg_db_site          CHAR(16)         NOT NULL,
    sg_db_id            NUMBER(10, 0)    NOT NULL,
    sg_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_typ_hyp_ev_fu__65F62111 PRIMARY KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id, db_site, db_id, sg_db_site, sg_db_id, sg_type_code, ordering_seq)
) 
;



-- 
-- TABLE: sg_typ_hyp_ev_link 
--

CREATE TABLE sg_typ_hyp_ev_link(
    sgt_hyp_db_site     CHAR(16)            NOT NULL,
    sgt_hyp_db_id       NUMBER(10, 0)       NOT NULL,
    sgt_hyp_event_id    NUMBER(10, 0)       NOT NULL,
    caused_db_site      CHAR(16)            NOT NULL,
    caused_db_id        NUMBER(10, 0)       NOT NULL,
    caused_event_id     NUMBER(10, 0)       NOT NULL,
    likelihood_prob     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_typ_hyp_ev_li__52E34C9D PRIMARY KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
;



-- 
-- TABLE: sg_typ_hyp_ev_num_data 
--

CREATE TABLE sg_typ_hyp_ev_num_data(
    sgt_hyp_db_site     CHAR(16)            NOT NULL,
    sgt_hyp_db_id       NUMBER(10, 0)       NOT NULL,
    sgt_hyp_event_id    NUMBER(10, 0)       NOT NULL,
    en_db_site          CHAR(16)            NOT NULL,
    en_db_id            NUMBER(10, 0)       NOT NULL,
    en_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_typ_hyp_ev_nu__5C6CB6D7 PRIMARY KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
;



-- 
-- TABLE: sg_typ_hyp_event 
--

CREATE TABLE sg_typ_hyp_event(
    sgt_hyp_db_site           CHAR(16)         NOT NULL,
    sgt_hyp_db_id             NUMBER(10, 0)    NOT NULL,
    sgt_hyp_event_id          NUMBER(10, 0)    NOT NULL,
    sg_db_site                CHAR(16)         NOT NULL,
    sg_db_id                  NUMBER(10, 0)    NOT NULL,
    sg_type_code              NUMBER(10, 0)    NOT NULL,
    ev_db_site                CHAR(16)         NOT NULL,
    ev_db_id                  NUMBER(10, 0)    NOT NULL,
    event_type_code           NUMBER(10, 0)    NOT NULL,
    severity_lev_db_site      CHAR(16)         NOT NULL,
    severity_lev_db_id        NUMBER(10, 0)    NOT NULL,
    severity_lev_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP,
    cr_loc_hr_delta           NUMBER(5, 0),
    cr_loc_min_delta          NUMBER(5, 0),
    by_org_asite              CHAR(16),
    by_agent_id               NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    associated_blob           BLOB,
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_typ_hyp_event__4959E263 PRIMARY KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
) 
;



-- 
-- TABLE: sg_type_blob_data 
--

CREATE TABLE sg_type_blob_data(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    sg_db_site          CHAR(16)         NOT NULL,
    sg_db_id            NUMBER(10, 0)    NOT NULL,
    sg_type_code        NUMBER(10, 0)    NOT NULL,
    bd_db_site          CHAR(16)         NOT NULL,
    bd_db_id            NUMBER(10, 0)    NOT NULL,
    bd_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    blct_db_site        CHAR(16)         NOT NULL,
    blct_db_id          NUMBER(10, 0)    NOT NULL,
    blc_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    assoc_file_name     VARCHAR2(254),
    image_data          BLOB             NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_type_blob_dat__19AACF41 PRIMARY KEY (db_site, db_id, sg_db_site, sg_db_id, sg_type_code, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: sg_type_function 
--

CREATE TABLE sg_type_function(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    sg_db_site          CHAR(16)         NOT NULL,
    sg_db_id            NUMBER(10, 0)    NOT NULL,
    sg_type_code        NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254)    NOT NULL,
    name                VARCHAR2(254),
    gmt_created         TIMESTAMP,
    cr_loc_hr_delta     NUMBER(5, 0),
    cr_loc_min_delta    NUMBER(5, 0),
    by_org_asite        CHAR(16),
    by_agent_id         NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sg_type_function__308E3499 PRIMARY KEY (db_site, db_id, sg_db_site, sg_db_id, sg_type_code, ordering_seq)
) 
;



-- 
-- TABLE: sg_type_rec_blob 
--

CREATE TABLE sg_type_rec_blob(
    sg_db_site            CHAR(16)         NOT NULL,
    sg_db_id              NUMBER(10, 0)    NOT NULL,
    sg_type_code          NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    bd_db_site            CHAR(16)         NOT NULL,
    bd_db_id              NUMBER(10, 0)    NOT NULL,
    bd_type_code          NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_file_name       VARCHAR2(254),
    image_data            BLOB             NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_type_rec_blob__30592A6F PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
;



-- 
-- TABLE: sg_type_rec_hyp_ev 
--

CREATE TABLE sg_type_rec_hyp_ev(
    sg_db_site            CHAR(16)         NOT NULL,
    sg_db_id              NUMBER(10, 0)    NOT NULL,
    sg_type_code          NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    sg_hyp_db_site        CHAR(16)         NOT NULL,
    sg_hyp_db_id          NUMBER(10, 0)    NOT NULL,
    sg_hyp_event_id       NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_type_rec_hyp___4183B671 PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id, sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
) 
;



-- 
-- TABLE: sg_type_rec_remark 
--

CREATE TABLE sg_type_rec_remark(
    sg_db_site            CHAR(16)         NOT NULL,
    sg_db_id              NUMBER(10, 0)    NOT NULL,
    sg_type_code          NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    remark_text           VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__sg_type_rec_rema__26CFC035 PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
;



-- 
-- TABLE: sg_type_recomm 
--

CREATE TABLE sg_type_recomm(
    sg_db_site                CHAR(16)         NOT NULL,
    sg_db_id                  NUMBER(10, 0)    NOT NULL,
    sg_type_code              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation        TIMESTAMP        NOT NULL,
    by_agent_site             CHAR(16)         NOT NULL,
    by_agent_id               NUMBER(10, 0)    NOT NULL,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    name                      VARCHAR2(254),
    user_tag_ident            VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__sg_type_recomm__1B5E0D89 PRIMARY KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: signal_proc_blk 
--

CREATE TABLE signal_proc_blk(
    sp_blk_db_site      CHAR(16)         NOT NULL,
    sp_blk_db_id        NUMBER(10, 0)    NOT NULL,
    sp_block_id         NUMBER(10, 0)    NOT NULL,
    sp_db_site          CHAR(16)         NOT NULL,
    sp_db_id            NUMBER(10, 0)    NOT NULL,
    sp_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__signal_proc_blk__7F2BE32F PRIMARY KEY (sp_blk_db_site, sp_blk_db_id, sp_block_id)
) 
;



-- 
-- TABLE: signal_proc_type 
--

CREATE TABLE signal_proc_type(
    sp_db_site          CHAR(16)         NOT NULL,
    sp_db_id            NUMBER(10, 0)    NOT NULL,
    sp_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__signal_proc_type__7D439ABD PRIMARY KEY (sp_db_site, sp_db_id, sp_type_code)
) 
;



-- 
-- TABLE: site_database 
--

CREATE TABLE site_database(
    db_site             CHAR(16)         NOT NULL,
    db_id               NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    mf_db_site          CHAR(16),
    mf_db_id            NUMBER(10, 0),
    manuf_code          NUMBER(10, 0),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__site_database__09DE7BCC PRIMARY KEY (db_site, db_id)
) 
;



-- 
-- TABLE: site_type_child 
--

CREATE TABLE site_type_child(
    st_db_site            CHAR(16)         NOT NULL,
    st_db_id              NUMBER(10, 0)    NOT NULL,
    st_type_code          NUMBER(10, 0)    NOT NULL,
    child_st_db_site      CHAR(16)         NOT NULL,
    child_st_db_id        NUMBER(10, 0)    NOT NULL,
    child_st_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__site_type_child__0519C6AF PRIMARY KEY (st_db_site, st_db_id, st_type_code, child_st_db_site, child_st_db_id, child_st_type_code)
) 
;



-- 
-- TABLE: site_type 
--

CREATE TABLE site_type(
    st_db_site          CHAR(16)         NOT NULL,
    st_db_id            NUMBER(10, 0)    NOT NULL,
    st_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    mobile_yn           CHAR(1)          NOT NULL
                        CONSTRAINT CK__site_type__mobil__03317E3D CHECK (mobile_yn IN ('N','Y')),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__site_type__023D5A04 PRIMARY KEY (st_db_site, st_db_id, st_type_code)
) 
;



-- 
-- TABLE: site 
--

CREATE TABLE site(
    site_code           CHAR(16)         NOT NULL,
    enterprise_id       NUMBER(10, 0)    NOT NULL,
    site_id             NUMBER(10, 0)    NOT NULL,
    st_db_site          CHAR(16)         NOT NULL,
    st_db_id            NUMBER(10, 0)    NOT NULL,
    st_type_code        NUMBER(10, 0)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    name                VARCHAR2(254),
    duns_number         NUMBER(10, 0),
    template_yn         CHAR(1)          NOT NULL
                        CONSTRAINT CK__site__template_y__07F6335A CHECK (template_yn IN ('N','Y')),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__site__07020F21 PRIMARY KEY (site_code)
) 
;



-- 
-- TABLE: solution_pack_type 
--

CREATE TABLE solution_pack_type(
    sol_db_site         CHAR(16)         NOT NULL,
    sol_db_id           NUMBER(10, 0)    NOT NULL,
    sol_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__solution_pack_ty__719CDDE7 PRIMARY KEY (sol_db_site, sol_db_id, sol_type_code)
) 
;



-- 
-- TABLE: solution_package 
--

CREATE TABLE solution_package(
    sol_pack_db_site          CHAR(16)         NOT NULL,
    sol_pack_db_id            NUMBER(10, 0)    NOT NULL,
    sol_pack_id               NUMBER(10, 0)    NOT NULL,
    sol_db_site               CHAR(16)         NOT NULL,
    sol_db_id                 NUMBER(10, 0)    NOT NULL,
    sol_type_code             NUMBER(10, 0)    NOT NULL,
    gmt_created               TIMESTAMP,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    user_tag_ident            VARCHAR2(254),
    name                      VARCHAR2(254),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__solution_package__50C5FA01 PRIMARY KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
;



-- 
-- TABLE: sp_ampl_alarm 
--

CREATE TABLE sp_ampl_alarm(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    al_db_site           CHAR(16)         NOT NULL,
    al_db_id             NUMBER(10, 0)    NOT NULL,
    al_type_code         NUMBER(10, 0)    NOT NULL,
    gmt_acknowledged     TIMESTAMP,
    ack_loc_hr_delta     NUMBER(5, 0),
    ack_loc_min_delta    NUMBER(5, 0),
    org_agent_site       CHAR(16),
    agent_id             NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sp_ampl_alarm__1332DBDC PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq, al_db_site, al_db_id, al_type_code)
) 
;



-- 
-- TABLE: sp_ampl_data 
--

CREATE TABLE sp_ampl_data(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    gmt_event           TIMESTAMP                NOT NULL,
    ordering_seq        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site      CHAR(16)            NOT NULL,
    pst_sc_db_id        NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code    NUMBER(10, 0)       NOT NULL,
    freq_or_order       CHAR(1)             NOT NULL
                        CONSTRAINT CK__sp_ampl_d__freq___114A936A CHECK (freq_or_order IN ('O','F')),
    min_in_hz_or_ord    DOUBLE PRECISION    NOT NULL,
    max_in_hz_or_ord    DOUBLE PRECISION    NOT NULL,
    src_dt_db_site      CHAR(16),
    src_dt_db_id        NUMBER(10, 0),
    src_dt_type_code    NUMBER(10, 0),
    sp_str_db_site      CHAR(16),
    sp_str_db_id        NUMBER(10, 0),
    sp_stream_id        NUMBER(10, 0),
    assoc_rpm_in_hz     DOUBLE PRECISION,
    amplitude           DOUBLE PRECISION    NOT NULL,
    angle_in_degrees    DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_ampl_data__10566F31 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
;



-- 
-- TABLE: sp_ampl_setup 
--

CREATE TABLE sp_ampl_setup(
    spa_setup_db_site    CHAR(16)            NOT NULL,
    spa_setup_db_id      NUMBER(10, 0)       NOT NULL,
    spa_setup_id         NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site       CHAR(16)            NOT NULL,
    pst_sc_db_id         NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code     NUMBER(10, 0)       NOT NULL,
    freq_or_order        CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_ampl_s__freq___245D67DE CHECK (freq_or_order IN ('O','F')),
    min_in_hz_or_ord     DOUBLE PRECISION    NOT NULL,
    max_in_hz_or_ord     DOUBLE PRECISION    NOT NULL,
    src_dt_db_site       CHAR(16),
    src_dt_db_id         NUMBER(10, 0),
    src_dt_type_code     NUMBER(10, 0),
    sp_str_db_site       CHAR(16),
    sp_str_db_id         NUMBER(10, 0),
    sp_stream_id         NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sp_ampl_setup__236943A5 PRIMARY KEY (spa_setup_db_site, spa_setup_db_id, spa_setup_id)
) 
;



-- 
-- TABLE: sp_blk_num_data 
--

CREATE TABLE sp_blk_num_data(
    sp_blk_db_site      CHAR(16)            NOT NULL,
    sp_blk_db_id        NUMBER(10, 0)       NOT NULL,
    sp_block_id         NUMBER(10, 0)       NOT NULL,
    spn_db_site         CHAR(16)            NOT NULL,
    spn_db_id           NUMBER(10, 0)       NOT NULL,
    spn_type_code       NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_blk_num_data__02FC7413 PRIMARY KEY (sp_blk_db_site, sp_blk_db_id, sp_block_id, spn_db_site, spn_db_id, spn_type_code)
) 
;



-- 
-- TABLE: sp_cpb_data 
--

CREATE TABLE sp_cpb_data(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    gmt_event           TIMESTAMP                NOT NULL,
    ordering_seq        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site      CHAR(16)            NOT NULL,
    pst_sc_db_id        NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code    NUMBER(10, 0)       NOT NULL,
    number_of_bands     NUMBER(10, 0)       NOT NULL,
    center_in_hz_1bd    DOUBLE PRECISION    NOT NULL,
    width_pct_or_oct    CHAR(1)             NOT NULL
                        CONSTRAINT CK__sp_cpb_da__width__2180FB33 CHECK (width_pct_or_oct IN ('O','P')),
    band_width          DOUBLE PRECISION    NOT NULL,
    ave_db_site         CHAR(16),
    ave_db_id           NUMBER(10, 0),
    ave_type_code       NUMBER(10, 0),
    ave_wt_db_site      CHAR(16),
    ave_wt_db_id        NUMBER(10, 0),
    ave_wt_type_code    NUMBER(10, 0),
    ave_sy_db_site      CHAR(16),
    ave_sy_db_id        NUMBER(10, 0),
    ave_sy_type_code    NUMBER(10, 0),
    ave_overlap_pct     DOUBLE PRECISION,
    num_of_averages     NUMBER(10, 0),
    sp_str_db_site      CHAR(16),
    sp_str_db_id        NUMBER(10, 0),
    sp_stream_id        NUMBER(10, 0),
    assoc_rpm_in_hz     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    spectrum_data       BLOB                NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_cpb_data__208CD6FA PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
;



-- 
-- TABLE: sp_cpb_setup 
--

CREATE TABLE sp_cpb_setup(
    spc_setup_db_site    CHAR(16)            NOT NULL,
    spc_setup_db_id      NUMBER(10, 0)       NOT NULL,
    spc_setup_id         NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site       CHAR(16)            NOT NULL,
    pst_sc_db_id         NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code     NUMBER(10, 0)       NOT NULL,
    number_of_bands      NUMBER(10, 0)       NOT NULL,
    center_in_hz_1bd     DOUBLE PRECISION    NOT NULL,
    width_pct_or_oct     CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_cpb_se__width__2EDAF651 CHECK (width_pct_or_oct IN ('O','P')),
    band_width           DOUBLE PRECISION    NOT NULL,
    ave_db_site          CHAR(16),
    ave_db_id            NUMBER(10, 0),
    ave_type_code        NUMBER(10, 0),
    ave_wt_db_site       CHAR(16),
    ave_wt_db_id         NUMBER(10, 0),
    ave_wt_type_code     NUMBER(10, 0),
    ave_sy_db_site       CHAR(16),
    ave_sy_db_id         NUMBER(10, 0),
    ave_sy_type_code     NUMBER(10, 0),
    ave_overlap_pct      DOUBLE PRECISION,
    num_of_averages      NUMBER(10, 0),
    sp_str_db_site       CHAR(16),
    sp_str_db_id         NUMBER(10, 0),
    sp_stream_id         NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sp_cpb_setup__2DE6D218 PRIMARY KEY (spc_setup_db_site, spc_setup_db_id, spc_setup_id)
) 
;



-- 
-- TABLE: sp_fft_data 
--

CREATE TABLE sp_fft_data(
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    gmt_event           TIMESTAMP                NOT NULL,
    ordering_seq        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site      CHAR(16)            NOT NULL,
    pst_sc_db_id        NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code    NUMBER(10, 0)       NOT NULL,
    freq_or_order       CHAR(1)             NOT NULL
                        CONSTRAINT CK__sp_fft_da__freq___19DFD96B CHECK (freq_or_order IN ('O','F')),
    min_in_hz_or_ord    DOUBLE PRECISION    NOT NULL,
    max_in_hz_or_ord    DOUBLE PRECISION    NOT NULL,
    resolution_lines    NUMBER(10, 0)       NOT NULL,
    win_db_site         CHAR(16)            NOT NULL,
    win_db_id           NUMBER(10, 0)       NOT NULL,
    win_type_code       NUMBER(10, 0)       NOT NULL,
    ave_db_site         CHAR(16),
    ave_db_id           NUMBER(10, 0),
    ave_type_code       NUMBER(10, 0),
    ave_wt_db_site      CHAR(16),
    ave_wt_db_id        NUMBER(10, 0),
    ave_wt_type_code    NUMBER(10, 0),
    ave_sy_db_site      CHAR(16),
    ave_sy_db_id        NUMBER(10, 0),
    ave_sy_type_code    NUMBER(10, 0),
    ave_overlap_pct     DOUBLE PRECISION,
    num_of_averages     NUMBER(10, 0),
    sp_str_db_site      CHAR(16),
    sp_str_db_id        NUMBER(10, 0),
    sp_stream_id        NUMBER(10, 0),
    assoc_rpm_in_hz     DOUBLE PRECISION,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    dc_level            DOUBLE PRECISION,
    complex_yn          CHAR(1)             NOT NULL
                        CONSTRAINT CK__sp_fft_da__compl__1AD3FDA4 CHECK (complex_yn IN ('N','Y')),
    spectrum_data       BLOB                NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_fft_data__18EBB532 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
;



-- 
-- TABLE: sp_fft_setup 
--

CREATE TABLE sp_fft_setup(
    spf_setup_db_site    CHAR(16)            NOT NULL,
    spf_setup_db_id      NUMBER(10, 0)       NOT NULL,
    spf_setup_id         NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site       CHAR(16)            NOT NULL,
    pst_sc_db_id         NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code     NUMBER(10, 0)       NOT NULL,
    freq_or_order        CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_fft_se__freq___2739D489 CHECK (freq_or_order IN ('O','F')),
    min_in_hz_or_ord     DOUBLE PRECISION    NOT NULL,
    max_in_hz_or_ord     DOUBLE PRECISION    NOT NULL,
    resolution_lines     NUMBER(10, 0)       NOT NULL,
    win_db_site          CHAR(16)            NOT NULL,
    win_db_id            NUMBER(10, 0)       NOT NULL,
    win_type_code        NUMBER(10, 0)       NOT NULL,
    ave_db_site          CHAR(16),
    ave_db_id            NUMBER(10, 0),
    ave_type_code        NUMBER(10, 0),
    ave_wt_db_site       CHAR(16),
    ave_wt_db_id         NUMBER(10, 0),
    ave_wt_type_code     NUMBER(10, 0),
    ave_sy_db_site       CHAR(16),
    ave_sy_db_id         NUMBER(10, 0),
    ave_sy_type_code     NUMBER(10, 0),
    ave_overlap_pct      DOUBLE PRECISION,
    num_of_averages      NUMBER(10, 0),
    sp_str_db_site       CHAR(16),
    sp_str_db_id         NUMBER(10, 0),
    sp_stream_id         NUMBER(10, 0),
    complex_yn           CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_fft_se__compl__282DF8C2 CHECK (complex_yn IN ('N','Y')),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sp_fft_setup__2645B050 PRIMARY KEY (spf_setup_db_site, spf_setup_db_id, spf_setup_id)
) 
;



-- 
-- TABLE: sp_num_dat_type 
--

CREATE TABLE sp_num_dat_type(
    spn_db_site         CHAR(16)         NOT NULL,
    spn_db_id           NUMBER(10, 0)    NOT NULL,
    spn_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_num_dat_type__01142BA1 PRIMARY KEY (spn_db_site, spn_db_id, spn_type_code)
) 
;



-- 
-- TABLE: sp_stream_block 
--

CREATE TABLE sp_stream_block(
    sp_str_db_site      CHAR(16)         NOT NULL,
    sp_str_db_id        NUMBER(10, 0)    NOT NULL,
    sp_stream_id        NUMBER(10, 0)    NOT NULL,
    sp_blk_db_site      CHAR(16)         NOT NULL,
    sp_blk_db_id        NUMBER(10, 0)    NOT NULL,
    sp_block_id         NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_stream_block__08B54D69 PRIMARY KEY (sp_str_db_site, sp_str_db_id, sp_stream_id, sp_blk_db_site, sp_blk_db_id, sp_block_id)
) 
;



-- 
-- TABLE: sp_stream_type 
--

CREATE TABLE sp_stream_type(
    sps_type_db_site    CHAR(16)         NOT NULL,
    sps_type_db_id      NUMBER(10, 0)    NOT NULL,
    sps_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_stream_type__04E4BC85 PRIMARY KEY (sps_type_db_site, sps_type_db_id, sps_type_code)
) 
;



-- 
-- TABLE: sp_stream 
--

CREATE TABLE sp_stream(
    sp_str_db_site      CHAR(16)         NOT NULL,
    sp_str_db_id        NUMBER(10, 0)    NOT NULL,
    sp_stream_id        NUMBER(10, 0)    NOT NULL,
    sps_type_db_site    CHAR(16)         NOT NULL,
    sps_type_db_id      NUMBER(10, 0)    NOT NULL,
    sps_type_code       NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__sp_stream__06CD04F7 PRIMARY KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
) 
;



-- 
-- TABLE: sp_time_data 
--

CREATE TABLE sp_time_data(
    meas_loc_site        CHAR(16)            NOT NULL,
    meas_loc_id          NUMBER(10, 0)       NOT NULL,
    gmt_event            TIMESTAMP                NOT NULL,
    ordering_seq         NUMBER(10, 0)       NOT NULL,
    eu_db_site           CHAR(16)            NOT NULL,
    eu_db_id             NUMBER(10, 0)       NOT NULL,
    eu_type_code         NUMBER(10, 0)       NOT NULL,
    secs_or_revs         CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_time_d__secs___1DB06A4F CHECK (secs_or_revs IN ('R','S')),
    off_secs_or_revs     DOUBLE PRECISION    NOT NULL,
    max_secs_or_revs     DOUBLE PRECISION    NOT NULL,
    number_of_samples    DOUBLE PRECISION    NOT NULL,
    win_db_site          CHAR(16)            NOT NULL,
    win_db_id            NUMBER(10, 0)       NOT NULL,
    win_type_code        NUMBER(10, 0)       NOT NULL,
    ave_db_site          CHAR(16),
    ave_db_id            NUMBER(10, 0),
    ave_type_code        NUMBER(10, 0),
    ave_wt_db_site       CHAR(16),
    ave_wt_db_id         NUMBER(10, 0),
    ave_wt_type_code     NUMBER(10, 0),
    ave_sy_db_site       CHAR(16),
    ave_sy_db_id         NUMBER(10, 0),
    ave_sy_type_code     NUMBER(10, 0),
    ave_overlap_pct      DOUBLE PRECISION,
    num_of_averages      NUMBER(10, 0),
    sp_str_db_site       CHAR(16),
    sp_str_db_id         NUMBER(10, 0),
    sp_stream_id         NUMBER(10, 0),
    assoc_rpm_in_hz      DOUBLE PRECISION,
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    complex_yn           CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_time_d__compl__1EA48E88 CHECK (complex_yn IN ('N','Y')),
    waveform_data        BLOB                NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sp_time_data__1CBC4616 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
;



-- 
-- TABLE: sp_time_setup 
--

CREATE TABLE sp_time_setup(
    spt_setup_db_site    CHAR(16)            NOT NULL,
    spt_setup_db_id      NUMBER(10, 0)       NOT NULL,
    spt_setup_id         NUMBER(10, 0)       NOT NULL,
    secs_or_revs         CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_time_s__secs___2B0A656D CHECK (secs_or_revs IN ('R','S')),
    off_secs_or_revs     DOUBLE PRECISION    NOT NULL,
    max_secs_or_revs     DOUBLE PRECISION    NOT NULL,
    number_of_samples    DOUBLE PRECISION    NOT NULL,
    win_db_site          CHAR(16)            NOT NULL,
    win_db_id            NUMBER(10, 0)       NOT NULL,
    win_type_code        NUMBER(10, 0)       NOT NULL,
    ave_db_site          CHAR(16),
    ave_db_id            NUMBER(10, 0),
    ave_type_code        NUMBER(10, 0),
    ave_wt_db_site       CHAR(16),
    ave_wt_db_id         NUMBER(10, 0),
    ave_wt_type_code     NUMBER(10, 0),
    ave_sy_db_site       CHAR(16),
    ave_sy_db_id         NUMBER(10, 0),
    ave_sy_type_code     NUMBER(10, 0),
    ave_overlap_pct      DOUBLE PRECISION,
    num_of_averages      NUMBER(10, 0),
    sp_str_db_site       CHAR(16),
    sp_str_db_id         NUMBER(10, 0),
    sp_stream_id         NUMBER(10, 0),
    complex_yn           CHAR(1)             NOT NULL
                         CONSTRAINT CK__sp_time_s__compl__2BFE89A6 CHECK (complex_yn IN ('N','Y')),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__sp_time_setup__2A164134 PRIMARY KEY (spt_setup_db_site, spt_setup_db_id, spt_setup_id)
) 
;



-- 
-- TABLE: spa_al_assoc_reg 
--

CREATE TABLE spa_al_assoc_reg(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    al_db_site          CHAR(16)         NOT NULL,
    al_db_id            NUMBER(10, 0)    NOT NULL,
    al_type_code        NUMBER(10, 0)    NOT NULL,
    alarm_db_site       CHAR(16)         NOT NULL,
    alarm_db_id         NUMBER(10, 0)    NOT NULL,
    al_meas_loc_site    CHAR(16)         NOT NULL,
    al_meas_loc_id      NUMBER(10, 0)    NOT NULL,
    al_ordering_seq     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__spa_al_assoc_reg__151B244E PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq, al_db_site, al_db_id, al_type_code, alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
) 
;



-- 
-- TABLE: spa_alarm_reg 
--

CREATE TABLE spa_alarm_reg(
    alarm_db_site       CHAR(16)            NOT NULL,
    alarm_db_id         NUMBER(10, 0)       NOT NULL,
    meas_loc_site       CHAR(16)            NOT NULL,
    meas_loc_id         NUMBER(10, 0)       NOT NULL,
    ordering_seq        NUMBER(10, 0)       NOT NULL,
    ml_db_site          CHAR(16),
    ml_db_id            NUMBER(10, 0),
    ml_type_code        NUMBER(10, 0),
    mc_db_site          CHAR(16),
    mc_db_id            NUMBER(10, 0),
    mc_type_code        NUMBER(10, 0),
    al_db_site          CHAR(16)            NOT NULL,
    al_db_id            NUMBER(10, 0)       NOT NULL,
    al_type_code        NUMBER(10, 0)       NOT NULL,
    freq_or_order       CHAR(1)             NOT NULL
                        CONSTRAINT CK__spa_alarm__freq___7B5B524B CHECK (freq_or_order IN ('O','F')),
    min_in_hz_or_ord    DOUBLE PRECISION    NOT NULL,
    max_in_hz_or_ord    DOUBLE PRECISION    NOT NULL,
    gmt_alarm_start     TIMESTAMP                NOT NULL,
    st_loc_hr_delta     NUMBER(5, 0),
    st_loc_min_delta    NUMBER(5, 0),
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    pst_sc_db_site      CHAR(16)            NOT NULL,
    pst_sc_db_id        NUMBER(10, 0)       NOT NULL,
    pst_sc_type_code    NUMBER(10, 0)       NOT NULL,
    src_dt_db_site      CHAR(16),
    src_dt_db_id        NUMBER(10, 0),
    src_dt_type_code    NUMBER(10, 0),
    min_amplitude       DOUBLE PRECISION    NOT NULL,
    max_amplitude       DOUBLE PRECISION    NOT NULL,
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__spa_alarm_reg__7A672E12 PRIMARY KEY (alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
) 
;



-- 
-- TABLE: src_detect_type 
--

CREATE TABLE src_detect_type(
    src_dt_db_site      CHAR(16)         NOT NULL,
    src_dt_db_id        NUMBER(10, 0)    NOT NULL,
    src_dt_type_code    NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__src_detect_type__72C60C4A PRIMARY KEY (src_dt_db_site, src_dt_db_id, src_dt_type_code)
) 
;



-- 
-- TABLE: test_al_assoc_reg 
--

CREATE TABLE test_al_assoc_reg(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    sample_order_seq    NUMBER(10, 0)    NOT NULL,
    test_order_seq      NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    al_db_site          CHAR(16)         NOT NULL,
    al_db_id            NUMBER(10, 0)    NOT NULL,
    al_type_code        NUMBER(10, 0)    NOT NULL,
    alarm_db_site       CHAR(16)         NOT NULL,
    alarm_db_id         NUMBER(10, 0)    NOT NULL,
    al_meas_loc_site    CHAR(16)         NOT NULL,
    al_meas_loc_id      NUMBER(10, 0)    NOT NULL,
    al_ordering_seq     NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__test_al_assoc_re__13F1F5EB PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code, alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
) 
;



-- 
-- TABLE: test_blob_results 
--

CREATE TABLE test_blob_results(
    meas_loc_site         CHAR(16)         NOT NULL,
    meas_loc_id           NUMBER(10, 0)    NOT NULL,
    gmt_event             TIMESTAMP        NOT NULL,
    sample_order_seq      NUMBER(10, 0)    NOT NULL,
    test_order_seq        NUMBER(10, 0)    NOT NULL,
    ordering_seq          NUMBER(10, 0)    NOT NULL,
    strb_db_site          CHAR(16)         NOT NULL,
    strb_db_id            NUMBER(10, 0)    NOT NULL,
    str_blob_type_code    NUMBER(10, 0)    NOT NULL,
    bd_db_site            CHAR(16)         NOT NULL,
    bd_db_id              NUMBER(10, 0)    NOT NULL,
    bd_type_code          NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    assoc_file_name       VARCHAR2(254),
    image_data            BLOB             NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__test_blob_result__15DA3E5D PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
;



-- 
-- TABLE: test_bres_alarm 
--

CREATE TABLE test_bres_alarm(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    sample_order_seq     NUMBER(10, 0)    NOT NULL,
    test_order_seq       NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    al_db_site           CHAR(16)         NOT NULL,
    al_db_id             NUMBER(10, 0)    NOT NULL,
    al_type_code         NUMBER(10, 0)    NOT NULL,
    assoc_file_name      VARCHAR2(254),
    gmt_acknowledged     TIMESTAMP        NOT NULL,
    ack_loc_hr_delta     NUMBER(5, 0),
    ack_loc_min_delta    NUMBER(5, 0),
    org_agent_site       CHAR(16),
    agent_id             NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_bres_alarm__17C286CF PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code)
) 
;



-- 
-- TABLE: test_chr_results 
--

CREATE TABLE test_chr_results(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    sample_order_seq     NUMBER(10, 0)    NOT NULL,
    test_order_seq       NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    strc_db_site         CHAR(16)         NOT NULL,
    strc_db_id           NUMBER(10, 0)    NOT NULL,
    str_chr_type_code    NUMBER(10, 0)    NOT NULL,
    eu_db_site           CHAR(16)         NOT NULL,
    eu_db_id             NUMBER(10, 0)    NOT NULL,
    eu_type_code         NUMBER(10, 0)    NOT NULL,
    data_value           VARCHAR2(254)    NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_chr_results__0C50D423 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
;



-- 
-- TABLE: test_histogram 
--

CREATE TABLE test_histogram(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    sample_order_seq     NUMBER(10, 0)    NOT NULL,
    test_order_seq       NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    strn_db_site         CHAR(16)         NOT NULL,
    strn_db_id           NUMBER(10, 0)    NOT NULL,
    str_num_type_code    NUMBER(10, 0)    NOT NULL,
    eu_db_site           CHAR(16)         NOT NULL,
    eu_db_id             NUMBER(10, 0)    NOT NULL,
    eu_type_code         NUMBER(10, 0)    NOT NULL,
    min_screen_in_eu     NUMBER(10, 0)    NOT NULL,
    max_screen_in_eu     NUMBER(10, 0)    NOT NULL,
    resolution_lines     NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    histogram_data       BLOB             NOT NULL,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_histogram__10216507 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
;



-- 
-- TABLE: test_nres_alarm 
--

CREATE TABLE test_nres_alarm(
    meas_loc_site        CHAR(16)         NOT NULL,
    meas_loc_id          NUMBER(10, 0)    NOT NULL,
    gmt_event            TIMESTAMP        NOT NULL,
    sample_order_seq     NUMBER(10, 0)    NOT NULL,
    test_order_seq       NUMBER(10, 0)    NOT NULL,
    ordering_seq         NUMBER(10, 0)    NOT NULL,
    al_db_site           CHAR(16)         NOT NULL,
    al_db_id             NUMBER(10, 0)    NOT NULL,
    al_type_code         NUMBER(10, 0)    NOT NULL,
    gmt_acknowledged     TIMESTAMP,
    ack_loc_hr_delta     NUMBER(5, 0),
    ack_loc_min_delta    NUMBER(5, 0),
    org_agent_site       CHAR(16),
    agent_id             NUMBER(10, 0),
    name                 VARCHAR2(254),
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_nres_alarm__1209AD79 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code)
) 
;



-- 
-- TABLE: test_num_results 
--

CREATE TABLE test_num_results(
    meas_loc_site        CHAR(16)            NOT NULL,
    meas_loc_id          NUMBER(10, 0)       NOT NULL,
    gmt_event            TIMESTAMP                NOT NULL,
    sample_order_seq     NUMBER(10, 0)       NOT NULL,
    test_order_seq       NUMBER(10, 0)       NOT NULL,
    ordering_seq         NUMBER(10, 0)       NOT NULL,
    strn_db_site         CHAR(16)            NOT NULL,
    strn_db_id           NUMBER(10, 0)       NOT NULL,
    str_num_type_code    NUMBER(10, 0)       NOT NULL,
    eu_db_site           CHAR(16)            NOT NULL,
    eu_db_id             NUMBER(10, 0)       NOT NULL,
    eu_type_code         NUMBER(10, 0)       NOT NULL,
    real_data_value      DOUBLE PRECISION    NOT NULL,
    imag_data_value      DOUBLE PRECISION,
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_num_results__0A688BB1 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
;



-- 
-- TABLE: test_remark 
--

CREATE TABLE test_remark(
    meas_loc_site       CHAR(16)         NOT NULL,
    meas_loc_id         NUMBER(10, 0)    NOT NULL,
    gmt_event           TIMESTAMP        NOT NULL,
    sample_order_seq    NUMBER(10, 0)    NOT NULL,
    test_order_seq      NUMBER(10, 0)    NOT NULL,
    ordering_seq        NUMBER(10, 0)    NOT NULL,
    remark_text         VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__test_remark__0E391C95 PRIMARY KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
;



-- 
-- TABLE: test_result_btype 
--

CREATE TABLE test_result_btype(
    strb_db_site          CHAR(16)         NOT NULL,
    strb_db_id            NUMBER(10, 0)    NOT NULL,
    str_blob_type_code    NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254)    NOT NULL,
    user_tag_ident        VARCHAR2(254),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__test_result_btyp__51300E55 PRIMARY KEY (strb_db_site, strb_db_id, str_blob_type_code)
) 
;



-- 
-- TABLE: test_result_ctype 
--

CREATE TABLE test_result_ctype(
    strc_db_site         CHAR(16)         NOT NULL,
    strc_db_id           NUMBER(10, 0)    NOT NULL,
    str_chr_type_code    NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_result_ctyp__4F47C5E3 PRIMARY KEY (strc_db_site, strc_db_id, str_chr_type_code)
) 
;



-- 
-- TABLE: test_result_ntype 
--

CREATE TABLE test_result_ntype(
    strn_db_site         CHAR(16)         NOT NULL,
    strn_db_id           NUMBER(10, 0)    NOT NULL,
    str_num_type_code    NUMBER(10, 0)    NOT NULL,
    name                 VARCHAR2(254)    NOT NULL,
    user_tag_ident       VARCHAR2(254),
    gmt_last_updated     TIMESTAMP,
    last_upd_db_site     CHAR(16),
    last_upd_db_id       NUMBER(10, 0),
    rstat_type_code      NUMBER(5, 0),
    CONSTRAINT PK__test_result_ntyp__4D5F7D71 PRIMARY KEY (strn_db_site, strn_db_id, str_num_type_code)
) 
;



-- 
-- TABLE: tr_axis_dir_type 
--

CREATE TABLE tr_axis_dir_type(
    ta_db_site          CHAR(16)         NOT NULL,
    ta_db_id            NUMBER(10, 0)    NOT NULL,
    ta_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__tr_axis_dir_type__4F7CD00D PRIMARY KEY (ta_db_site, ta_db_id, ta_type_code)
) 
;



-- 
-- TABLE: trans_type 
--

CREATE TABLE trans_type(
    tr_db_site          CHAR(16)         NOT NULL,
    tr_db_id            NUMBER(10, 0)    NOT NULL,
    tr_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__trans_type__4D94879B PRIMARY KEY (tr_db_site, tr_db_id, tr_type_code)
) 
;



-- 
-- TABLE: transducer 
--

CREATE TABLE transducer(
    tr_asset_site       CHAR(16)            NOT NULL,
    tr_asset_id         NUMBER(10, 0)       NOT NULL,
    tr_db_site          CHAR(16)            NOT NULL,
    tr_db_id            NUMBER(10, 0)       NOT NULL,
    tr_type_code        NUMBER(10, 0)       NOT NULL,
    out_eu_db_site      CHAR(16),
    out_eu_db_id        NUMBER(10, 0),
    out_eu_type_code    NUMBER(10, 0),
    out_amplitude       DOUBLE PRECISION,
    per_eu_db_site      CHAR(16),
    per_eu_db_id        NUMBER(10, 0),
    per_eu_type_code    NUMBER(10, 0),
    gmt_last_calib      TIMESTAMP,
    self_powered_yn     CHAR(1)             
                        CONSTRAINT CK__transduce__self___5DCAEF64 CHECK (self_powered_yn IN ('N','Y')),
    name                VARCHAR2(254),
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__transducer__5CD6CB2B PRIMARY KEY (tr_asset_site, tr_asset_id)
) 
;



-- 
-- TABLE: window_type 
--

CREATE TABLE window_type(
    win_db_site         CHAR(16)            NOT NULL,
    win_db_id           NUMBER(10, 0)       NOT NULL,
    win_type_code       NUMBER(10, 0)       NOT NULL,
    name                VARCHAR2(254)       NOT NULL,
    user_tag_ident      VARCHAR2(254),
    pf_multiplier       DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__window_type__17036CC0 PRIMARY KEY (win_db_site, win_db_id, win_type_code)
) 
;



-- 
-- TABLE: wo_step_as_recomm 
--

CREATE TABLE wo_step_as_recomm(
    work_order_db_site    CHAR(16)         NOT NULL,
    work_order_db_id      NUMBER(10, 0)    NOT NULL,
    work_order_id         NUMBER(10, 0)    NOT NULL,
    work_ord_step_seq     NUMBER(10, 0)    NOT NULL,
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wo_step_as_recom__7BB05806 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: wo_step_audit 
--

CREATE TABLE wo_step_audit(
    work_order_db_site    CHAR(16)          NOT NULL,
    work_order_db_id      NUMBER(10, 0)     NOT NULL,
    work_order_id         NUMBER(10, 0)     NOT NULL,
    work_ord_step_seq     NUMBER(10, 0)     NOT NULL,
    waudit_db_site        CHAR(16)          NOT NULL,
    waudit_db_id          NUMBER(10, 0)     NOT NULL,
    waudit_type_code      NUMBER(10, 0)     NOT NULL,
    gmt_audit_posted      TIMESTAMP              NOT NULL,
    loc_hr_delta          NUMBER(5, 0),
    loc_min_delta         NUMBER(5, 0),
    name                  VARCHAR2(254),
    long_description      VARCHAR2(4000),
    user_tag_ident        VARCHAR2(254),
    by_agent_site         CHAR(16),
    by_agent_id           NUMBER(10, 0),
    from_sy_agent_site    CHAR(16),
    from_sy_agent_id      NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wo_step_audit__77DFC722 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, waudit_db_site, waudit_db_id, waudit_type_code, gmt_audit_posted)
) 
;



-- 
-- TABLE: wo_step_chr_data 
--

CREATE TABLE wo_step_chr_data(
    work_order_db_site    CHAR(16)         NOT NULL,
    work_order_db_id      NUMBER(10, 0)    NOT NULL,
    work_order_id         NUMBER(10, 0)    NOT NULL,
    work_ord_step_seq     NUMBER(10, 0)    NOT NULL,
    wc_db_site            CHAR(16)         NOT NULL,
    wc_db_id              NUMBER(10, 0)    NOT NULL,
    wc_type_code          NUMBER(10, 0)    NOT NULL,
    eu_db_site            CHAR(16)         NOT NULL,
    eu_db_id              NUMBER(10, 0)    NOT NULL,
    eu_type_code          NUMBER(10, 0)    NOT NULL,
    data_value            VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wo_step_chr_data__75F77EB0 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, wc_db_site, wc_db_id, wc_type_code)
) 
;



-- 
-- TABLE: wo_step_num_data 
--

CREATE TABLE wo_step_num_data(
    work_order_db_site    CHAR(16)            NOT NULL,
    work_order_db_id      NUMBER(10, 0)       NOT NULL,
    work_order_id         NUMBER(10, 0)       NOT NULL,
    work_ord_step_seq     NUMBER(10, 0)       NOT NULL,
    wn_db_site            CHAR(16)            NOT NULL,
    wn_db_id              NUMBER(10, 0)       NOT NULL,
    wn_type_code          NUMBER(10, 0)       NOT NULL,
    eu_db_site            CHAR(16)            NOT NULL,
    eu_db_id              NUMBER(10, 0)       NOT NULL,
    eu_type_code          NUMBER(10, 0)       NOT NULL,
    data_value            DOUBLE PRECISION    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wo_step_num_data__740F363E PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, wn_db_site, wn_db_id, wn_type_code)
) 
;



-- 
-- TABLE: wo_step_sg_recomm 
--

CREATE TABLE wo_step_sg_recomm(
    work_order_db_site    CHAR(16)         NOT NULL,
    work_order_db_id      NUMBER(10, 0)    NOT NULL,
    work_order_id         NUMBER(10, 0)    NOT NULL,
    work_ord_step_seq     NUMBER(10, 0)    NOT NULL,
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wo_step_sg_recom__79C80F94 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: wo_step_work_req 
--

CREATE TABLE wo_step_work_req(
    work_order_db_site    CHAR(16)         NOT NULL,
    work_order_db_id      NUMBER(10, 0)    NOT NULL,
    work_order_id         NUMBER(10, 0)    NOT NULL,
    work_ord_step_seq     NUMBER(10, 0)    NOT NULL,
    work_req_db_site      CHAR(16)         NOT NULL,
    work_req_db_id        NUMBER(10, 0)    NOT NULL,
    work_req_id           NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wo_step_work_req__7D98A078 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, work_req_db_site, work_req_db_id, work_req_id)
) 
;



-- 
-- TABLE: work_audit_type 
--

CREATE TABLE work_audit_type(
    waudit_db_site      CHAR(16)         NOT NULL,
    waudit_db_id        NUMBER(10, 0)    NOT NULL,
    waudit_type_code    NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_audit_type__6BE40491 PRIMARY KEY (waudit_db_site, waudit_db_id, waudit_type_code)
) 
;



-- 
-- TABLE: work_chr_data_type 
--

CREATE TABLE work_chr_data_type(
    wc_db_site          CHAR(16)         NOT NULL,
    wc_db_id            NUMBER(10, 0)    NOT NULL,
    wc_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_chr_data_ty__6FB49575 PRIMARY KEY (wc_db_site, wc_db_id, wc_type_code)
) 
;



-- 
-- TABLE: work_manage_type 
--

CREATE TABLE work_manage_type(
    wm_type_db_site     CHAR(16)         NOT NULL,
    wm_type_db_id       NUMBER(10, 0)    NOT NULL,
    wm_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_manage_type__6442E2C9 PRIMARY KEY (wm_type_db_site, wm_type_db_id, wm_type_code)
) 
;



-- 
-- TABLE: work_num_data_type 
--

CREATE TABLE work_num_data_type(
    wn_db_site          CHAR(16)         NOT NULL,
    wn_db_id            NUMBER(10, 0)    NOT NULL,
    wn_type_code        NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_num_data_ty__6DCC4D03 PRIMARY KEY (wn_db_site, wn_db_id, wn_type_code)
) 
;



-- 
-- TABLE: work_order_audit 
--

CREATE TABLE work_order_audit(
    work_order_db_site    CHAR(16)          NOT NULL,
    work_order_db_id      NUMBER(10, 0)     NOT NULL,
    work_order_id         NUMBER(10, 0)     NOT NULL,
    waudit_db_site        CHAR(16)          NOT NULL,
    waudit_db_id          NUMBER(10, 0)     NOT NULL,
    waudit_type_code      NUMBER(10, 0)     NOT NULL,
    gmt_audit_posted      TIMESTAMP              NOT NULL,
    loc_hr_delta          NUMBER(5, 0),
    loc_min_delta         NUMBER(5, 0),
    name                  VARCHAR2(254),
    long_description      VARCHAR2(4000),
    user_tag_ident        VARCHAR2(254),
    by_agent_site         CHAR(16),
    by_agent_id           NUMBER(10, 0),
    from_sy_agent_site    CHAR(16),
    from_sy_agent_id      NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_order_audit__703EA55A PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, waudit_db_site, waudit_db_id, waudit_type_code, gmt_audit_posted)
) 
;



-- 
-- TABLE: work_order_child 
--

CREATE TABLE work_order_child(
    work_order_db_site    CHAR(16)         NOT NULL,
    work_order_db_id      NUMBER(10, 0)    NOT NULL,
    work_order_id         NUMBER(10, 0)    NOT NULL,
    child_wo_db_site      CHAR(16)         NOT NULL,
    child_wo_db_id        NUMBER(10, 0)    NOT NULL,
    child_wo_id           NUMBER(10, 0)    NOT NULL,
    name                  VARCHAR2(254),
    user_tag_ident        VARCHAR2(254),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_order_child__6A85CC04 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, child_wo_db_site, child_wo_db_id, child_wo_id)
) 
;



-- 
-- TABLE: work_order_chr_data 
--

CREATE TABLE work_order_chr_data(
    work_order_db_site    CHAR(16)         NOT NULL,
    work_order_db_id      NUMBER(10, 0)    NOT NULL,
    work_order_id         NUMBER(10, 0)    NOT NULL,
    wc_db_site            CHAR(16)         NOT NULL,
    wc_db_id              NUMBER(10, 0)    NOT NULL,
    wc_type_code          NUMBER(10, 0)    NOT NULL,
    eu_db_site            CHAR(16)         NOT NULL,
    eu_db_id              NUMBER(10, 0)    NOT NULL,
    eu_type_code          NUMBER(10, 0)    NOT NULL,
    data_value            VARCHAR2(254)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_order_chr_d__6E565CE8 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, wc_db_site, wc_db_id, wc_type_code)
) 
;



-- 
-- TABLE: work_order_num_data 
--

CREATE TABLE work_order_num_data(
    work_order_db_site    CHAR(16)            NOT NULL,
    work_order_db_id      NUMBER(10, 0)       NOT NULL,
    work_order_id         NUMBER(10, 0)       NOT NULL,
    wn_db_site            CHAR(16)            NOT NULL,
    wn_db_id              NUMBER(10, 0)       NOT NULL,
    wn_type_code          NUMBER(10, 0)       NOT NULL,
    eu_db_site            CHAR(16)            NOT NULL,
    eu_db_id              NUMBER(10, 0)       NOT NULL,
    eu_type_code          NUMBER(10, 0)       NOT NULL,
    data_value            DOUBLE PRECISION    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_order_num_d__6C6E1476 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, wn_db_site, wn_db_id, wn_type_code)
) 
;



-- 
-- TABLE: work_order_step 
--

CREATE TABLE work_order_step(
    work_order_db_site        CHAR(16)          NOT NULL,
    work_order_db_id          NUMBER(10, 0)     NOT NULL,
    work_order_id             NUMBER(10, 0)     NOT NULL,
    work_ord_step_seq         NUMBER(10, 0)     NOT NULL,
    gmt_created               TIMESTAMP,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    sol_pack_db_site          CHAR(16),
    sol_pack_db_id            NUMBER(10, 0),
    sol_pack_id               NUMBER(10, 0),
    start_before_gmt          TIMESTAMP,
    end_before_gmt            TIMESTAMP,
    start_after_gmt           TIMESTAMP,
    end_after_gmt             TIMESTAMP,
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    to_agent_site             CHAR(16),
    to_agent_id               NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    user_tag_ident            VARCHAR2(254),
    name                      VARCHAR2(254),
    long_description          VARCHAR2(4000),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__work_order_step__7226EDCC PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
) 
;



-- 
-- TABLE: work_order 
--

CREATE TABLE work_order(
    work_order_db_site        CHAR(16)          NOT NULL,
    work_order_db_id          NUMBER(10, 0)     NOT NULL,
    work_order_id             NUMBER(10, 0)     NOT NULL,
    wm_type_db_site           CHAR(16)          NOT NULL,
    wm_type_db_id             NUMBER(10, 0)     NOT NULL,
    wm_type_code              NUMBER(10, 0)     NOT NULL,
    gmt_created               TIMESTAMP,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    start_before_gmt          TIMESTAMP,
    end_before_gmt            TIMESTAMP,
    start_after_gmt           TIMESTAMP,
    end_after_gmt             TIMESTAMP,
    repeat_interval           NUMBER(10, 0),
    int_eu_db_site            CHAR(16),
    int_eu_db_id              NUMBER(10, 0),
    int_eu_type_code          NUMBER(10, 0),
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    to_agent_site             CHAR(16),
    to_agent_id               NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    user_tag_ident            VARCHAR2(254),
    name                      VARCHAR2(254),
    long_description          VARCHAR2(4000),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__work_order__689D8392 PRIMARY KEY (work_order_db_site, work_order_db_id, work_order_id)
) 
;



-- 
-- TABLE: work_req_as_recomm 
--

CREATE TABLE work_req_as_recomm(
    work_req_db_site      CHAR(16)         NOT NULL,
    work_req_db_id        NUMBER(10, 0)    NOT NULL,
    work_req_id           NUMBER(10, 0)    NOT NULL,
    asset_org_site        CHAR(16)         NOT NULL,
    asset_id              NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_req_as_reco__5F141958 PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id, asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: work_req_chr_data 
--

CREATE TABLE work_req_chr_data(
    work_req_db_site    CHAR(16)         NOT NULL,
    work_req_db_id      NUMBER(10, 0)    NOT NULL,
    work_req_id         NUMBER(10, 0)    NOT NULL,
    wc_db_site          CHAR(16)         NOT NULL,
    wc_db_id            NUMBER(10, 0)    NOT NULL,
    wc_type_code        NUMBER(10, 0)    NOT NULL,
    eu_db_site          CHAR(16)         NOT NULL,
    eu_db_id            NUMBER(10, 0)    NOT NULL,
    eu_type_code        NUMBER(10, 0)    NOT NULL,
    data_value          VARCHAR2(254)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_req_chr_dat__64CCF2AE PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id, wc_db_site, wc_db_id, wc_type_code)
) 
;



-- 
-- TABLE: work_req_num_data 
--

CREATE TABLE work_req_num_data(
    work_req_db_site    CHAR(16)            NOT NULL,
    work_req_db_id      NUMBER(10, 0)       NOT NULL,
    work_req_id         NUMBER(10, 0)       NOT NULL,
    wn_db_site          CHAR(16)            NOT NULL,
    wn_db_id            NUMBER(10, 0)       NOT NULL,
    wn_type_code        NUMBER(10, 0)       NOT NULL,
    eu_db_site          CHAR(16)            NOT NULL,
    eu_db_id            NUMBER(10, 0)       NOT NULL,
    eu_type_code        NUMBER(10, 0)       NOT NULL,
    data_value          DOUBLE PRECISION    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_req_num_dat__62E4AA3C PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id, wn_db_site, wn_db_id, wn_type_code)
) 
;



-- 
-- TABLE: work_req_sg_recomm 
--

CREATE TABLE work_req_sg_recomm(
    work_req_db_site      CHAR(16)         NOT NULL,
    work_req_db_id        NUMBER(10, 0)    NOT NULL,
    work_req_id           NUMBER(10, 0)    NOT NULL,
    segment_site          CHAR(16)         NOT NULL,
    segment_id            NUMBER(10, 0)    NOT NULL,
    gmt_recommendation    TIMESTAMP        NOT NULL,
    by_agent_site         CHAR(16)         NOT NULL,
    by_agent_id           NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_req_sg_reco__5D2BD0E6 PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id, segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
;



-- 
-- TABLE: work_req_sol_pack 
--

CREATE TABLE work_req_sol_pack(
    work_req_db_site    CHAR(16)         NOT NULL,
    work_req_db_id      NUMBER(10, 0)    NOT NULL,
    work_req_id         NUMBER(10, 0)    NOT NULL,
    sol_pack_db_site    CHAR(16)         NOT NULL,
    sol_pack_db_id      NUMBER(10, 0)    NOT NULL,
    sol_pack_id         NUMBER(10, 0)    NOT NULL,
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_req_sol_pac__60FC61CA PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
;



-- 
-- TABLE: work_request_audit 
--

CREATE TABLE work_request_audit(
    work_req_db_site      CHAR(16)          NOT NULL,
    work_req_db_id        NUMBER(10, 0)     NOT NULL,
    work_req_id           NUMBER(10, 0)     NOT NULL,
    waudit_db_site        CHAR(16)          NOT NULL,
    waudit_db_id          NUMBER(10, 0)     NOT NULL,
    waudit_type_code      NUMBER(10, 0)     NOT NULL,
    gmt_audit_posted      TIMESTAMP              NOT NULL,
    loc_hr_delta          NUMBER(5, 0),
    loc_min_delta         NUMBER(5, 0),
    name                  VARCHAR2(254),
    long_description      VARCHAR2(4000),
    user_tag_ident        VARCHAR2(254),
    by_agent_site         CHAR(16),
    by_agent_id           NUMBER(10, 0),
    from_sy_agent_site    CHAR(16),
    from_sy_agent_id      NUMBER(10, 0),
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__work_request_aud__66B53B20 PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id, waudit_db_site, waudit_db_id, waudit_type_code, gmt_audit_posted)
) 
;



-- 
-- TABLE: work_request 
--

CREATE TABLE work_request(
    work_req_db_site          CHAR(16)          NOT NULL,
    work_req_db_id            NUMBER(10, 0)     NOT NULL,
    work_req_id               NUMBER(10, 0)     NOT NULL,
    wm_type_db_site           CHAR(16)          NOT NULL,
    wm_type_db_id             NUMBER(10, 0)     NOT NULL,
    wm_type_code              NUMBER(10, 0)     NOT NULL,
    work_order_db_site        CHAR(16),
    work_order_db_id          NUMBER(10, 0),
    work_order_id             NUMBER(10, 0),
    gmt_created               TIMESTAMP,
    loc_hr_delta              NUMBER(5, 0),
    loc_min_delta             NUMBER(5, 0),
    by_agent_site             CHAR(16),
    by_agent_id               NUMBER(10, 0),
    start_before_gmt          TIMESTAMP,
    end_before_gmt            TIMESTAMP,
    start_after_gmt           TIMESTAMP,
    end_after_gmt             TIMESTAMP,
    repeat_interval           NUMBER(10, 0),
    int_eu_db_site            CHAR(16),
    int_eu_db_id              NUMBER(10, 0),
    int_eu_type_code          NUMBER(10, 0),
    from_sy_agent_site        CHAR(16),
    from_sy_agent_id          NUMBER(10, 0),
    to_agent_site             CHAR(16),
    to_agent_id               NUMBER(10, 0),
    priority_lev_db_site      CHAR(16),
    priority_lev_db_id        NUMBER(10, 0),
    priority_lev_type_code    NUMBER(10, 0),
    user_tag_ident            VARCHAR2(254),
    name                      VARCHAR2(254),
    long_description          VARCHAR2(4000),
    gmt_last_updated          TIMESTAMP,
    last_upd_db_site          CHAR(16),
    last_upd_db_id            NUMBER(10, 0),
    rstat_type_code           NUMBER(5, 0),
    CONSTRAINT PK__work_request__4EDDB18F PRIMARY KEY (work_req_db_site, work_req_db_id, work_req_id)
) 
;



-- 
-- TABLE: work_task_type 
--

CREATE TABLE work_task_type(
    task_db_site        CHAR(16)         NOT NULL,
    task_db_id          NUMBER(10, 0)    NOT NULL,
    task_type_code      NUMBER(10, 0)    NOT NULL,
    name                VARCHAR2(254)    NOT NULL,
    user_tag_ident      VARCHAR2(254),
    gmt_last_updated    TIMESTAMP,
    last_upd_db_site    CHAR(16),
    last_upd_db_id      NUMBER(10, 0),
    rstat_type_code     NUMBER(5, 0),
    CONSTRAINT PK__work_task_type__662B2B3B PRIMARY KEY (task_db_site, task_db_id, task_type_code)
) 
;



-- 
-- TABLE: wtask_type_child 
--

CREATE TABLE wtask_type_child(
    task_db_site          CHAR(16)         NOT NULL,
    task_db_id            NUMBER(10, 0)    NOT NULL,
    task_type_code        NUMBER(10, 0)    NOT NULL,
    child_tk_db_site      CHAR(16)         NOT NULL,
    child_tk_db_id        NUMBER(10, 0)    NOT NULL,
    child_tk_type_code    NUMBER(10, 0)    NOT NULL,
    gmt_last_updated      TIMESTAMP,
    last_upd_db_site      CHAR(16),
    last_upd_db_id        NUMBER(10, 0),
    rstat_type_code       NUMBER(5, 0),
    CONSTRAINT PK__wtask_type_child__681373AD PRIMARY KEY (task_db_site, task_db_id, task_type_code, child_tk_db_site, child_tk_db_id, child_tk_type_code)
) 
;
